GNU bug report logs - #40838
28.0.50; [feature/native-comp] Function overrides in init.el are not honored after deferred compilation

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Ihor Radchenko <yantar92@HIDDEN>; dated Sat, 25 Apr 2020 08:19:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 40838 <at> debbugs.gnu.org:


Received: (at 40838) by debbugs.gnu.org; 23 May 2020 14:39:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 23 10:39:06 2020
Received: from localhost ([127.0.0.1]:35274 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jcVIo-0004NX-No
	for submit <at> debbugs.gnu.org; Sat, 23 May 2020 10:39:06 -0400
Received: from mx.sdf.org ([205.166.94.20]:52608)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1jcVIm-0004NP-SN
 for 40838 <at> debbugs.gnu.org; Sat, 23 May 2020 10:39:05 -0400
Received: from sdf.org (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 04NEd3Mb007152
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Sat, 23 May 2020 14:39:04 GMT
Received: (from akrl@localhost)
 by sdf.org (8.15.2/8.12.8/Submit) id 04NEd3FG008398;
 Sat, 23 May 2020 14:39:03 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Ihor Radchenko <yantar92@HIDDEN>
Subject: Re: bug#40838: 28.0.50;
 [feature/native-comp] Function overrides in init.el are not honored
 after deferred compilation
References: <87zhb0q8wi.fsf@localhost> <xjfv9lolybt.fsf@HIDDEN>
 <xjfmu6zmyk5.fsf@HIDDEN> <87lfmidexg.fsf@localhost>
 <xjfwo62lj1h.fsf@HIDDEN> <87mu6v4qss.fsf@localhost>
 <xjfmu6v7iuc.fsf@HIDDEN> <87wo592rne.fsf@localhost>
 <xjfimgt57a4.fsf@HIDDEN> <87o8qk39o5.fsf@localhost>
 <878shi3fkd.fsf@localhost>
Date: Sat, 23 May 2020 14:39:03 +0000
In-Reply-To: <878shi3fkd.fsf@localhost> (Ihor Radchenko's message of "Sat, 23
 May 2020 22:13:06 +0800")
Message-ID: <xjfv9kmvhq0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40838
Cc: 40838 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Ihor Radchenko <yantar92@HIDDEN> writes:

>> If this is what is happening with straight.el, then my recipe is not
>> actually reproducing my initial bug report. I have other cases when
>> functions redefined in my config are overridden by initial definition
>> when .eln is loaded. I think that I still need to investigate for a real
>> recipe then.
>
> I have recently tried to find a temporary workaround to this issue with
> straight.el+org+native-comp. However, my workaround seems to fail
> because of native-comp (at least, I believe so).

Hi Ihor,

I believe if you want to have to workaround effective in deferred
compilation you'll need to put the definition of these two functions
into `comp-async-env-modifier-form' as discussed.

Perhaps the best thing if to ask them to do it given they have a branch
to support native-comp.

  Andrea

-- 
akrl@HIDDEN




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40838; Package emacs. Full text available.

Message received at 40838 <at> debbugs.gnu.org:


Received: (at 40838) by debbugs.gnu.org; 23 May 2020 14:17:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 23 10:17:58 2020
Received: from localhost ([127.0.0.1]:35241 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jcUyM-0001hu-C0
	for submit <at> debbugs.gnu.org; Sat, 23 May 2020 10:17:58 -0400
Received: from mail-pl1-f169.google.com ([209.85.214.169]:39751)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yantar92@HIDDEN>) id 1jcUyH-0001ha-2Z
 for 40838 <at> debbugs.gnu.org; Sat, 23 May 2020 10:17:56 -0400
Received: by mail-pl1-f169.google.com with SMTP id x18so4463390pll.6
 for <40838 <at> debbugs.gnu.org>; Sat, 23 May 2020 07:17:53 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version; bh=msUJD1F6DWXeqb+X372yz9rx4FPnB2QOpq7EwO2b+Bg=;
 b=CHLnjVm6ci0DPQbRDiFJWjUNA2Tqj7/kHj2MZ2TFyZF+iSpNDBOZp1shbT4sY8YUcJ
 ak+bupFvrHsAaKBlBcCnEsiKo79px7v6tzYSPhpM9AVV1QieHmb6CNkUBIG0s4c5Wvgz
 8tpr+bdbs3fgs0MklDnqf+smBIjqB60vhJTUzhcbVrZTzD4YnS1krRK0JLryj+hXQgpr
 6oOsaVGRDDR8JRAVCEax63+PwQ8lkjauL0RW+nHIfqp+Njj7AM24zaI9EIREGZw6fMeC
 usGI+zxrNhOT913EqTyVFgXZDFABhJnVWvq+UBp2+GHpFsHTSSDpYG4vjZxWvgiXwpJV
 jsHQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references:date
 :message-id:mime-version;
 bh=msUJD1F6DWXeqb+X372yz9rx4FPnB2QOpq7EwO2b+Bg=;
 b=G90CS/YtCdDZEYwOPwF6v8opX6YS+pUXMxgBxTqXM+tmxQXjRTjtXogaSmJnearHWl
 MZAZlQTmwZbNJ/nNGp1hQ/M006+SqMPdYFTBIuvSBrFlhb/Pzw7w0LLkbUmEm9cn2sKg
 RR9Xqpw2cG6GObpUxJIHwIUV+QituD2hVPTvKdBTaDyJQ5XXelCqz0LvWolQf9lxX1CZ
 XRUg4vzp2mdpcCQjBLjC2B05HM+GRGU+wC06nBKWg2LTb4mlALfgl7tGb3nUNIAVjZzj
 aQ9yA3G6OcEqDeNLem1NbZZkeVf9bpiIfbRbax3JfVHCZB2aR3NUxiya1V8oYX0uYOMA
 qYbw==
X-Gm-Message-State: AOAM533mmyZ7/lvBjD8qjFE4+qIyVlwGC04Kuiaod7/Q623rEgYQFCEa
 57xeZwEeaCJ4ch73P14VlBk=
X-Google-Smtp-Source: ABdhPJy/DcSTvnhVSrZ99T75TKurqm14UPYM+cz3Zl5+dFn+SZE2vTDi+0dzsZCuFqYrJo5yhWku3A==
X-Received: by 2002:a17:90a:3ad1:: with SMTP id
 b75mr10962252pjc.216.1590243466815; 
 Sat, 23 May 2020 07:17:46 -0700 (PDT)
Received: from localhost ([104.151.6.52])
 by smtp.gmail.com with ESMTPSA id s28sm9401284pfd.21.2020.05.23.07.17.45
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 23 May 2020 07:17:46 -0700 (PDT)
From: Ihor Radchenko <yantar92@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
Subject: Re: bug#40838: 28.0.50; [feature/native-comp] Function overrides in
 init.el are not honored after deferred compilation
In-Reply-To: <87o8qk39o5.fsf@localhost>
References: <87zhb0q8wi.fsf@localhost> <xjfv9lolybt.fsf@HIDDEN>
 <xjfmu6zmyk5.fsf@HIDDEN> <87lfmidexg.fsf@localhost>
 <xjfwo62lj1h.fsf@HIDDEN> <87mu6v4qss.fsf@localhost>
 <xjfmu6v7iuc.fsf@HIDDEN> <87wo592rne.fsf@localhost>
 <xjfimgt57a4.fsf@HIDDEN> <87o8qk39o5.fsf@localhost>
Date: Sat, 23 May 2020 22:13:06 +0800
Message-ID: <878shi3fkd.fsf@localhost>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 40838
Cc: 40838 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--=-=-=
Content-Type: text/plain

> If this is what is happening with straight.el, then my recipe is not
> actually reproducing my initial bug report. I have other cases when
> functions redefined in my config are overridden by initial definition
> when .eln is loaded. I think that I still need to investigate for a real
> recipe then.

I have recently tried to find a temporary workaround to this issue with
straight.el+org+native-comp. However, my workaround seems to fail
because of native-comp (at least, I believe so).

The recipe is the same, but I forcefully defined org-version,
org-release, and org-git-version in my init.el before loading org.
See the attached file for details.

Best,
Ihor


--=-=-=
Content-Type: application/emacs-lisp
Content-Disposition: attachment; filename=native-fail-recepy.el
Content-Transfer-Encoding: quoted-printable

(setq comp-deferred-compilation t) ;; enable automatic native-compilation
(setq straight-repository-branch "develop")
(setq straight-vc-git-default-protocol 'ssh)
(setq straight--wait-for-async-jobs nil)

(eval-and-compile
  (defvar bootstrap-version)
  (let ((bootstrap-file
	 (expand-file-name "straight/repos/straight.el/bootstrap.el" user-emacs-di=
rectory))
	(bootstrap-version 5))
    (unless (file-exists-p bootstrap-file)
      (with-current-buffer
	  (url-retrieve-synchronously
	   "https://raw.githubusercontent.com/raxod502/straight.el/develop/install=
.el"
	   'silent 'inhibit-cookies)
	(goto-char (point-max))
	(eval-print-last-sexp)))
    (load bootstrap-file nil 'nomessage)))

(setq load-prefer-newer t)

(eval-and-compile (straight-use-package 'use-package))

    (defun org-git-version ()
      "The Git version of org-mode.
Inserted by installing org-mode or when a release is made."
      (let ((default-directory (straight--repos-dir "org")))
        (string-trim
         (with-output-to-string
           (with-current-buffer standard-output
             (call-process
              "git" nil t nil
              "describe"
              "--match=3Drelease*"
              "--abbrev=3D6"
              "HEAD"))))))

    (defun org-release ()
      "The release version of org-mode.
Inserted by installing org-mode or when a release is made."
      (let ((default-directory (straight--repos-dir "org")))
        (string-trim
         (string-remove-prefix
          "release_"
          (with-output-to-string
            (with-current-buffer standard-output
              (call-process
               "git" nil t nil
               "describe"
               "--match=3Drelease*"
               "--abbrev=3D0"
               "HEAD")))))))

(defun org-version (&optional here full message)
  "Show the Org version.
Interactively, or when MESSAGE is non-nil, show it in echo area.
With prefix argument, or when HERE is non-nil, insert it at point.
In non-interactive uses, a reduced version string is output unless
FULL is given."
  (interactive (list current-prefix-arg t (not current-prefix-arg)))
  (let ((org-dir (ignore-errors (org-find-library-dir "org")))
	(save-load-suffixes (when (boundp 'load-suffixes) load-suffixes))
	(load-suffixes (list ".el"))
	(org-install-dir
	 (ignore-errors (org-find-library-dir "org-loaddefs"))))
    (unless (and (fboundp 'org-release) (fboundp 'org-git-version))
      (org-load-noerror-mustsuffix (concat org-dir "org-version")))
    (let* ((load-suffixes save-load-suffixes)
	   (release (org-release))
	   (git-version (org-git-version))
	   (version (format "Org mode version %s (%s @ %s)"
			    release
			    git-version
			    (if org-install-dir
				(if (string=3D org-dir org-install-dir)
				    org-install-dir
				  (concat "mixed installation! "
					  org-install-dir
					  " and "
					  org-dir))
			      "org-loaddefs.el can not be found!")))
	   (version1 (if full version release)))
      (when here (insert version1))

(straight-use-package '(org
			:type git :repo "https://code.orgmode.org/bzg/org-mode.git"
                        :local-repo "org"
			:files (:defaults "contrib/lisp/*.el")
			:fork (:repo "/home/yantar92/Git/org-mode/" :branch "feature/drawertextp=
rop")))

(use-package elfeed
  :straight t)

(use-package elfeed-org
  :straight t
  :config
  (elfeed-org))

;; when this file is loaded after org is native-compiled, the following err=
or appears.
;; Error (use-package): elfeed-org/:catch: Invalid version syntax: =E2=80=
=98N/A=E2=80=99 (must start with a number)
;; deleting org.eln makes the error disappears

;; possible cause: straight--fix-org-function from straight.el is redefinin=
g some org.el functions
;; (org-git-version and org-release). This override fails to work in native=
-compiled org

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable



Ihor Radchenko <yantar92@HIDDEN> writes:

>> In summary this is not a problem of the deferred compilation mechanism
>> but is an hack that is not working for this case.
>>=20
>> To mitigate this I've added a new customize you can use to define those
>> functions (or whatever) into the compiler environment of the async
>> compilation workers, is called `comp-async-env-modifier-form'.
>
> If this is what is happening with straight.el, then my recipe is not
> actually reproducing my initial bug report. I have other cases when
> functions redefined in my config are overridden by initial definition
> when .eln is loaded. I think that I still need to investigate for a real
> recipe then.
>
> Best,
> Ihor
>
>
> Andrea Corallo <akrl@HIDDEN> writes:
>
>> Ihor Radchenko <yantar92@HIDDEN> writes:
>>
>>>> thanks this is appreciated because I haven't managed to reproduce it
>>>> myself.
>>>
>>> Finally, I found some reproducible example.
>>> straight.el redefines some org functions before loading org.
>>> It is done in straight--fix-org-function (org-git-version and
>>> org-release are redefined).=20
>>> The redefined version works with org.elc, but somehow get overridden
>>> when org.eln is loaded (in my case, the loading is triggered by elfeed-=
org).
>>>
>>> Steps to reproduce:
>>>
>>> 1. Use the attached file to load emacs. No errors should appear.
>>> 2. Wait until org is native-compiled.
>>> 3. Restart emacs. The following errors appears
>>> (straight--fix-org-function supposed to be a workaround for this error):
>>>
>>> Error (use-package): elfeed-org/:catch: Invalid version syntax: =E2=80=
=98N/A=E2=80=99
>>> (must start with a number)
>>>
>>> 4. Delete org.eln
>>> 5. Restart emacs. The error disappears.
>>
>> Okay I think I've an idea of what is going on here.
>>
>> straight given wants to build org in a way org is not made for is
>> hacking around the problem predefining in the compilation environment
>> `org-release' and `org-git-version'.
>>
>> When org.el is loaded is executing at top level the expansion of
>> `org-check-version' that is supposed to define these two functions,
>> given are already defined by straight.el we should fall in the first if
>> clause an the hacked functions remains.
>>
>> When the eln are compiled by deferred-compilation no-one is hacking the
>> definition of these two functions in the way straight.el would like and
>> so the trouble raise.
>>
>> In summary this is not a problem of the deferred compilation mechanism
>> but is an hack that is not working for this case.
>>
>> To mitigate this I've added a new customize you can use to define those
>> functions (or whatever) into the compiler environment of the async
>> compilation workers, is called `comp-async-env-modifier-form'.
>>
>> 2ac6194585 * Add new customize `comp-async-env-modifier-form' (Bug#40838)
>>
>> I'm for closing this.
>>
>> Bests
>>
>>   Andrea
>>
>> --=20
>> akrl@HIDDEN
>
> --=20
> Ihor Radchenko,
> PhD,
> Center for Advancing Materials Performance from the Nanoscale (CAMP-nano)
> State Key Laboratory for Mechanical Behavior of Materials, Xi'an Jiaotong=
 University, Xi'an, China
> Email: yantar92@HIDDEN, ihor_radchenko@HIDDEN

--=20
Ihor Radchenko,
PhD,
Center for Advancing Materials Performance from the Nanoscale (CAMP-nano)
State Key Laboratory for Mechanical Behavior of Materials, Xi'an Jiaotong U=
niversity, Xi'an, China
Email: yantar92@HIDDEN, ihor_radchenko@HIDDEN

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40838; Package emacs. Full text available.

Message received at 40838 <at> debbugs.gnu.org:


Received: (at 40838) by debbugs.gnu.org; 19 May 2020 03:11:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 18 23:11:38 2020
Received: from localhost ([127.0.0.1]:48795 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jasfJ-0003P0-Tt
	for submit <at> debbugs.gnu.org; Mon, 18 May 2020 23:11:38 -0400
Received: from mail-pg1-f172.google.com ([209.85.215.172]:33782)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yantar92@HIDDEN>) id 1jasf4-0003OQ-6d
 for 40838 <at> debbugs.gnu.org; Mon, 18 May 2020 23:11:37 -0400
Received: by mail-pg1-f172.google.com with SMTP id s10so3494824pgm.0
 for <40838 <at> debbugs.gnu.org>; Mon, 18 May 2020 20:11:22 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-transfer-encoding;
 bh=GUc2zatoO1K7Cjpb8n6UlAIgncwj7FXmVE7XvPSXz/c=;
 b=Jsy6+5zNAutlDPiwg9WNybKb7Ny2fqQlrWJn8PriBJISGD1BOVQFiTknvAigXMKQEa
 2hcpFfNZK1ky55d0P44hOzEPKDCHPPL3/cCkMxfOPqJp8uHdH4UImFnqJzKD8Ji8l8sG
 YHV+W5L70YHwQNwkydlzDX0mg8Bm6YM+H96ad7EzqyVlgAYKQ9VMEhI1GjvH2ki3/E24
 s+lOSQ6OhhgmJXyEzGnz1uGwN/ODM7/Gp/rd2CxEgmMQCv2+NVSmHOWI00BpeFfDi6ru
 jFqxfcOjhqtfC5cd9WfRpJeaWDRArNHeZnHrHg+IAPgKABy1bGPkYrxUymwweQVUS7mW
 Bo3A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references:date
 :message-id:mime-version:content-transfer-encoding;
 bh=GUc2zatoO1K7Cjpb8n6UlAIgncwj7FXmVE7XvPSXz/c=;
 b=mqWwy2SlJLh4gPTu0E2MX4vf9ILhNRgFGLghjE+/NizOCd59/73x8BXfhlhn8sKcq2
 /nXxybOwOopBn/liiXYOl3ukf2BmEuqbxDUxzCS4FIXlmjxT6UZCd28NPyLfLbqZ/mxZ
 b8EPi61pRE+Ad4r5huoP/8a5Km9fRULAp3iQQ490uFRGhtPDq9YHvbp+x6fL5M3KSieY
 2fd/uQTLUWHMfomh3veEA6JiRI6H821Sy4m9rX304U1oIX9QahvDgnUxQb1vSuagJGrM
 8d3cVRIB+/HXUZYO53ZjNZyJcc5Ft1gknd0Y35W02CYu/YAWZZ7Aw7kHOldwqT4yp5AV
 R/qA==
X-Gm-Message-State: AOAM532RRbHBjczs/SZK+2Me0eB7UaIJz2I5v/yr047BnO971G9qoqbT
 kju0tEr8CRrawqXOiD1+ydY=
X-Google-Smtp-Source: ABdhPJy7sglxwHpeAL7MfE2k7K9AYWxttetilvXws0bbNBhj2pl1b7r20xlLJ6PWH23Q4y5QziFX/w==
X-Received: by 2002:a65:4488:: with SMTP id l8mr8052766pgq.327.1589857876422; 
 Mon, 18 May 2020 20:11:16 -0700 (PDT)
Received: from localhost (97.151-89-23.rdns.scalabledns.com. [23.89.151.97])
 by smtp.gmail.com with ESMTPSA id m188sm9966526pfd.67.2020.05.18.20.11.14
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 18 May 2020 20:11:15 -0700 (PDT)
From: Ihor Radchenko <yantar92@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
Subject: Re: bug#40838: 28.0.50; [feature/native-comp] Function overrides in
 init.el are not honored after deferred compilation
In-Reply-To: <xjfimgt57a4.fsf@HIDDEN>
References: <87zhb0q8wi.fsf@localhost> <xjfv9lolybt.fsf@HIDDEN>
 <xjfmu6zmyk5.fsf@HIDDEN> <87lfmidexg.fsf@localhost>
 <xjfwo62lj1h.fsf@HIDDEN> <87mu6v4qss.fsf@localhost>
 <xjfmu6v7iuc.fsf@HIDDEN> <87wo592rne.fsf@localhost>
 <xjfimgt57a4.fsf@HIDDEN>
Date: Tue, 19 May 2020 11:06:50 +0800
Message-ID: <87o8qk39o5.fsf@localhost>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 40838
Cc: 40838 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

> In summary this is not a problem of the deferred compilation mechanism
> but is an hack that is not working for this case.
>=20
> To mitigate this I've added a new customize you can use to define those
> functions (or whatever) into the compiler environment of the async
> compilation workers, is called `comp-async-env-modifier-form'.

If this is what is happening with straight.el, then my recipe is not
actually reproducing my initial bug report. I have other cases when
functions redefined in my config are overridden by initial definition
when .eln is loaded. I think that I still need to investigate for a real
recipe then.

Best,
Ihor


Andrea Corallo <akrl@HIDDEN> writes:

> Ihor Radchenko <yantar92@HIDDEN> writes:
>
>>> thanks this is appreciated because I haven't managed to reproduce it
>>> myself.
>>
>> Finally, I found some reproducible example.
>> straight.el redefines some org functions before loading org.
>> It is done in straight--fix-org-function (org-git-version and
>> org-release are redefined).=20
>> The redefined version works with org.elc, but somehow get overridden
>> when org.eln is loaded (in my case, the loading is triggered by elfeed-o=
rg).
>>
>> Steps to reproduce:
>>
>> 1. Use the attached file to load emacs. No errors should appear.
>> 2. Wait until org is native-compiled.
>> 3. Restart emacs. The following errors appears
>> (straight--fix-org-function supposed to be a workaround for this error):
>>
>> Error (use-package): elfeed-org/:catch: Invalid version syntax: =E2=80=
=98N/A=E2=80=99
>> (must start with a number)
>>
>> 4. Delete org.eln
>> 5. Restart emacs. The error disappears.
>
> Okay I think I've an idea of what is going on here.
>
> straight given wants to build org in a way org is not made for is
> hacking around the problem predefining in the compilation environment
> `org-release' and `org-git-version'.
>
> When org.el is loaded is executing at top level the expansion of
> `org-check-version' that is supposed to define these two functions,
> given are already defined by straight.el we should fall in the first if
> clause an the hacked functions remains.
>
> When the eln are compiled by deferred-compilation no-one is hacking the
> definition of these two functions in the way straight.el would like and
> so the trouble raise.
>
> In summary this is not a problem of the deferred compilation mechanism
> but is an hack that is not working for this case.
>
> To mitigate this I've added a new customize you can use to define those
> functions (or whatever) into the compiler environment of the async
> compilation workers, is called `comp-async-env-modifier-form'.
>
> 2ac6194585 * Add new customize `comp-async-env-modifier-form' (Bug#40838)
>
> I'm for closing this.
>
> Bests
>
>   Andrea
>
> --=20
> akrl@HIDDEN

--=20
Ihor Radchenko,
PhD,
Center for Advancing Materials Performance from the Nanoscale (CAMP-nano)
State Key Laboratory for Mechanical Behavior of Materials, Xi'an Jiaotong U=
niversity, Xi'an, China
Email: yantar92@HIDDEN, ihor_radchenko@HIDDEN




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40838; Package emacs. Full text available.

Message received at 40838 <at> debbugs.gnu.org:


Received: (at 40838) by debbugs.gnu.org; 18 May 2020 21:01:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 18 17:01:09 2020
Received: from localhost ([127.0.0.1]:48385 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jamsn-0000kY-K9
	for submit <at> debbugs.gnu.org; Mon, 18 May 2020 17:01:09 -0400
Received: from mx.sdf.org ([205.166.94.20]:63025)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1jamsm-0000kP-IR
 for 40838 <at> debbugs.gnu.org; Mon, 18 May 2020 17:01:09 -0400
Received: from sdf.org (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 04IL17o2022519
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Mon, 18 May 2020 21:01:07 GMT
Received: (from akrl@localhost)
 by sdf.org (8.15.2/8.12.8/Submit) id 04IL16tu018844;
 Mon, 18 May 2020 21:01:06 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Ihor Radchenko <yantar92@HIDDEN>
Subject: Re: bug#40838: 28.0.50;
 [feature/native-comp] Function overrides in init.el are not honored
 after deferred compilation
References: <87zhb0q8wi.fsf@localhost> <xjfv9lolybt.fsf@HIDDEN>
 <xjfmu6zmyk5.fsf@HIDDEN> <87lfmidexg.fsf@localhost>
 <xjfwo62lj1h.fsf@HIDDEN> <87mu6v4qss.fsf@localhost>
 <xjfmu6v7iuc.fsf@HIDDEN> <87wo592rne.fsf@localhost>
 <xjfimgt57a4.fsf@HIDDEN>
Date: Mon, 18 May 2020 21:01:06 +0000
In-Reply-To: <xjfimgt57a4.fsf@HIDDEN> (Andrea Corallo's message of "Mon, 18
 May 2020 20:15:31 +0000")
Message-ID: <xjfeerh5565.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40838
Cc: 40838 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Andrea Corallo <akrl@HIDDEN> writes:

> Okay I think I've an idea of what is going on here.
>
> straight given wants to build org in a way org is not made for is
> hacking around the problem predefining in the compilation environment
> `org-release' and `org-git-version'.
>
> When org.el is loaded is executing at top level the expansion of
> `org-check-version' that is supposed to define these two functions,
> given are already defined by straight.el we should fall in the first if
> clause an the hacked functions remains.
>
> When the eln are compiled by deferred-compilation no-one is hacking the
> definition of these two functions in the way straight.el would like and
> so the trouble raise.
>
> In summary this is not a problem of the deferred compilation mechanism
> but is an hack that is not working for this case.
>
> To mitigate this I've added a new customize you can use to define those
> functions (or whatever) into the compiler environment of the async
> compilation workers, is called `comp-async-env-modifier-form'.
>
> 2ac6194585 * Add new customize `comp-async-env-modifier-form' (Bug#40838)
>
> I'm for closing this.
>
> Bests
>
>   Andrea

Wow I see now straight.el has a branch to support native-comp, kudos to
them!

https://github.com/flatwhatson/straight.el/tree/native-comp

I'll ping them to signal this new customize.

  Andrea

-- 
akrl@HIDDEN




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40838; Package emacs. Full text available.

Message received at 40838 <at> debbugs.gnu.org:


Received: (at 40838) by debbugs.gnu.org; 18 May 2020 20:15:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 18 16:15:34 2020
Received: from localhost ([127.0.0.1]:48338 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jamAg-00085b-05
	for submit <at> debbugs.gnu.org; Mon, 18 May 2020 16:15:34 -0400
Received: from mx.sdf.org ([205.166.94.20]:52755)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1jamAe-00085T-Ov
 for 40838 <at> debbugs.gnu.org; Mon, 18 May 2020 16:15:33 -0400
Received: from sdf.org (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 04IKFVxX021567
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Mon, 18 May 2020 20:15:31 GMT
Received: (from akrl@localhost)
 by sdf.org (8.15.2/8.12.8/Submit) id 04IKFVnO028291;
 Mon, 18 May 2020 20:15:31 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Ihor Radchenko <yantar92@HIDDEN>
Subject: Re: bug#40838: 28.0.50;
 [feature/native-comp] Function overrides in init.el are not honored
 after deferred compilation
References: <87zhb0q8wi.fsf@localhost> <xjfv9lolybt.fsf@HIDDEN>
 <xjfmu6zmyk5.fsf@HIDDEN> <87lfmidexg.fsf@localhost>
 <xjfwo62lj1h.fsf@HIDDEN> <87mu6v4qss.fsf@localhost>
 <xjfmu6v7iuc.fsf@HIDDEN> <87wo592rne.fsf@localhost>
Date: Mon, 18 May 2020 20:15:31 +0000
In-Reply-To: <87wo592rne.fsf@localhost> (Ihor Radchenko's message of "Mon, 18
 May 2020 23:23:49 +0800")
Message-ID: <xjfimgt57a4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40838
Cc: 40838 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Ihor Radchenko <yantar92@HIDDEN> writes:

>> thanks this is appreciated because I haven't managed to reproduce it
>> myself.
>
> Finally, I found some reproducible example.
> straight.el redefines some org functions before loading org.
> It is done in straight--fix-org-function (org-git-version and
> org-release are redefined).=20
> The redefined version works with org.elc, but somehow get overridden
> when org.eln is loaded (in my case, the loading is triggered by elfeed-or=
g).
>
> Steps to reproduce:
>
> 1. Use the attached file to load emacs. No errors should appear.
> 2. Wait until org is native-compiled.
> 3. Restart emacs. The following errors appears
> (straight--fix-org-function supposed to be a workaround for this error):
>
> Error (use-package): elfeed-org/:catch: Invalid version syntax: =E2=80=98=
N/A=E2=80=99
> (must start with a number)
>
> 4. Delete org.eln
> 5. Restart emacs. The error disappears.

Okay I think I've an idea of what is going on here.

straight given wants to build org in a way org is not made for is
hacking around the problem predefining in the compilation environment
`org-release' and `org-git-version'.

When org.el is loaded is executing at top level the expansion of
`org-check-version' that is supposed to define these two functions,
given are already defined by straight.el we should fall in the first if
clause an the hacked functions remains.

When the eln are compiled by deferred-compilation no-one is hacking the
definition of these two functions in the way straight.el would like and
so the trouble raise.

In summary this is not a problem of the deferred compilation mechanism
but is an hack that is not working for this case.

To mitigate this I've added a new customize you can use to define those
functions (or whatever) into the compiler environment of the async
compilation workers, is called `comp-async-env-modifier-form'.

2ac6194585 * Add new customize `comp-async-env-modifier-form' (Bug#40838)

I'm for closing this.

Bests

  Andrea

--=20
akrl@HIDDEN




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40838; Package emacs. Full text available.

Message received at 40838 <at> debbugs.gnu.org:


Received: (at 40838) by debbugs.gnu.org; 18 May 2020 15:28:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 18 11:28:24 2020
Received: from localhost ([127.0.0.1]:48070 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jahgm-0007TY-Di
	for submit <at> debbugs.gnu.org; Mon, 18 May 2020 11:28:24 -0400
Received: from mail-pj1-f51.google.com ([209.85.216.51]:35165)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yantar92@HIDDEN>) id 1jahgk-0007TK-L4
 for 40838 <at> debbugs.gnu.org; Mon, 18 May 2020 11:28:23 -0400
Received: by mail-pj1-f51.google.com with SMTP id 5so2176309pjd.0
 for <40838 <at> debbugs.gnu.org>; Mon, 18 May 2020 08:28:22 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version; bh=eCBW6TmJydj04S3pOotPbcjEz94I11IVdP0P5i90waQ=;
 b=vA0ojR8g92ZLKo/Uc64+unq+kpljVvtfxy1w+3u9NtkkTbbJLD1ahtT1kEQtNOsFKp
 UX18k6fMbIF0icj5RN9+gwq7/pYSdeKRJvDhsSz4+82Pzjc64L+Fc4prIRFt8rz1WHEq
 y8QUycl4lgrZQ34sWzDv+nD8XjDjk9xq/bmHY/3ANSOlDIkA5pIKXgcx/Uw1OImsUoEl
 oiw3OCdWnevifCI+jAEIC6SImkBlLP44MiEyk35BD6JpYgdCr4wEGsOJom4eL9llwCPY
 X2hkhsKrkWkqHCOdu9eV5skTAqt80p6kvBEhm9IFi4HHN/8mNZuqiX3uxKiqJOixqpii
 oM7A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references:date
 :message-id:mime-version;
 bh=eCBW6TmJydj04S3pOotPbcjEz94I11IVdP0P5i90waQ=;
 b=C7P4nfqUAsB4dfaumBn+SrZSfCwkSncUwajfSNKmGz/NJ0+Prz0PxOFmIuUnpTWlSG
 /3Vw0kMGRrFGy2sKJd0oEC/Rnpmfw+/uwNfY31s3q3p00HH+7ciLcb7m1KiGDnvMYHYQ
 bbj2jpRkTQ9VLDg7+7LcFLXvLQz9Q6HskqqSBh6A1TUldQDr6gsQiNKxMYlSHJzYgvgA
 psVCDrk5TkC4NLXsTcaB9nDBbIBEfANHUw1GRe0NpCbSx+0rdiasyWwuSbyjY/NlG2D3
 1ir+92qlPMqlAPwoUUTaCXgF0vqWa3T9/YazuECfc/2o8W8SNqZmIZWiNFtNKccFmLh5
 eVlQ==
X-Gm-Message-State: AOAM531J1mzu8xyaHlz1G1AXcrUJ7vxfxpZEqwAZPXl8LDt6df3pbVp9
 dpLiLhFdrFunJobfSmhJgsU=
X-Google-Smtp-Source: ABdhPJzvCH1BDSvPRCUtRuoviZfc19m7FWXyfK3/BwCdrG6lrpG18XPOfK1V8JbAMvUQC6at0TAVJA==
X-Received: by 2002:a17:90a:9f8a:: with SMTP id
 o10mr20313149pjp.118.1589815696713; 
 Mon, 18 May 2020 08:28:16 -0700 (PDT)
Received: from localhost (97.151-89-23.rdns.scalabledns.com. [23.89.151.97])
 by smtp.gmail.com with ESMTPSA id e26sm5331183pff.137.2020.05.18.08.28.15
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 18 May 2020 08:28:15 -0700 (PDT)
From: Ihor Radchenko <yantar92@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
Subject: Re: bug#40838: 28.0.50; [feature/native-comp] Function overrides in
 init.el are not honored after deferred compilation
In-Reply-To: <xjfmu6v7iuc.fsf@HIDDEN>
References: <87zhb0q8wi.fsf@localhost> <xjfv9lolybt.fsf@HIDDEN>
 <xjfmu6zmyk5.fsf@HIDDEN> <87lfmidexg.fsf@localhost>
 <xjfwo62lj1h.fsf@HIDDEN> <87mu6v4qss.fsf@localhost>
 <xjfmu6v7iuc.fsf@HIDDEN>
Date: Mon, 18 May 2020 23:23:49 +0800
Message-ID: <87wo592rne.fsf@localhost>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 40838
Cc: 40838 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

> thanks this is appreciated because I haven't managed to reproduce it
> myself.

Finally, I found some reproducible example.
straight.el redefines some org functions before loading org.
It is done in straight--fix-org-function (org-git-version and
org-release are redefined).=20
The redefined version works with org.elc, but somehow get overridden
when org.eln is loaded (in my case, the loading is triggered by elfeed-org).

Steps to reproduce:

1. Use the attached file to load emacs. No errors should appear.
2. Wait until org is native-compiled.
3. Restart emacs. The following errors appears
(straight--fix-org-function supposed to be a workaround for this error):

Error (use-package): elfeed-org/:catch: Invalid version syntax: =E2=80=98N/=
A=E2=80=99
(must start with a number)

4. Delete org.eln
5. Restart emacs. The error disappears.

Best,
Ihor


--=-=-=
Content-Type: application/emacs-lisp
Content-Disposition: attachment; filename=native-fail-recepy.el
Content-Transfer-Encoding: quoted-printable

(setq comp-deferred-compilation t) ;; enable automatic native-compilation
(setq straight-repository-branch "develop")
(setq straight-vc-git-default-protocol 'ssh)
(setq straight--wait-for-async-jobs nil)

(eval-and-compile
  (defvar bootstrap-version)
  (let ((bootstrap-file
	 (expand-file-name "straight/repos/straight.el/bootstrap.el" user-emacs-di=
rectory))
	(bootstrap-version 5))
    (unless (file-exists-p bootstrap-file)
      (with-current-buffer
	  (url-retrieve-synchronously
	   "https://raw.githubusercontent.com/raxod502/straight.el/develop/install=
.el"
	   'silent 'inhibit-cookies)
	(goto-char (point-max))
	(eval-print-last-sexp)))
    (load bootstrap-file nil 'nomessage)))

(setq load-prefer-newer t)

(eval-and-compile (straight-use-package 'use-package))

(straight-use-package '(org
			:type git :repo "https://code.orgmode.org/bzg/org-mode.git"
                        :local-repo "org"
			:files (:defaults "contrib/lisp/*.el")
			:fork (:repo "/home/yantar92/Git/org-mode/" :branch "feature/drawertextp=
rop")))

(use-package elfeed
  :straight t)

(use-package elfeed-org
  :straight t
  :config
  (elfeed-org))

;; when this file is loaded after org is native-compiled, the following err=
or appears.
;; Error (use-package): elfeed-org/:catch: Invalid version syntax: =E2=80=
=98N/A=E2=80=99 (must start with a number)
;; deleting org.eln makes the error disappears

;; possible cause: straight--fix-org-function from straight.el is redefinin=
g some org.el functions
;; (org-git-version and org-release). This override fails to work in native=
-compiled org

--=-=-=
Content-Type: text/plain




Andrea Corallo <akrl@HIDDEN> writes:

> Ihor Radchenko <yantar92@HIDDEN> writes:
>
>>> It would certanly help if you could provide a reproducer.
>>
>> I was trying to make a simple recipe to reproduce this, but failed.
>> The bug only appears with my config (though I do not see any problem
>> when not using native-comp branch).
>> Will try to narrow down the exact cause, but it may take a while.
>>
>> Best,
>> Ihor
>
> Hi Ihor,
>
> thanks this is appreciated because I haven't managed to reproduce it
> myself.
>
> Thanks
>
>   Andrea
>
> -- 
> akrl@HIDDEN

-- 
Ihor Radchenko,
PhD,
Center for Advancing Materials Performance from the Nanoscale (CAMP-nano)
State Key Laboratory for Mechanical Behavior of Materials, Xi'an Jiaotong University, Xi'an, China
Email: yantar92@HIDDEN, ihor_radchenko@HIDDEN

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40838; Package emacs. Full text available.

Message received at 40838 <at> debbugs.gnu.org:


Received: (at 40838) by debbugs.gnu.org; 28 Apr 2020 15:04:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 28 11:03:59 2020
Received: from localhost ([127.0.0.1]:41086 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jTRmB-0003Ty-MI
	for submit <at> debbugs.gnu.org; Tue, 28 Apr 2020 11:03:59 -0400
Received: from mx.sdf.org ([205.166.94.20]:60391)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1jTRm9-0003Tq-MY
 for 40838 <at> debbugs.gnu.org; Tue, 28 Apr 2020 11:03:58 -0400
Received: from sdf.org (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 03SF3u6Y001470
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Tue, 28 Apr 2020 15:03:56 GMT
Received: (from akrl@localhost)
 by sdf.org (8.15.2/8.12.8/Submit) id 03SF3u37002560;
 Tue, 28 Apr 2020 15:03:56 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Ihor Radchenko <yantar92@HIDDEN>
Subject: Re: bug#40838: 28.0.50;
 [feature/native-comp] Function overrides in init.el are not honored
 after deferred compilation
References: <87zhb0q8wi.fsf@localhost> <xjfv9lolybt.fsf@HIDDEN>
 <xjfmu6zmyk5.fsf@HIDDEN> <87lfmidexg.fsf@localhost>
 <xjfwo62lj1h.fsf@HIDDEN> <87mu6v4qss.fsf@localhost>
Date: Tue, 28 Apr 2020 15:03:55 +0000
In-Reply-To: <87mu6v4qss.fsf@localhost> (Ihor Radchenko's message of "Tue, 28
 Apr 2020 22:40:19 +0800")
Message-ID: <xjfmu6v7iuc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40838
Cc: 40838 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Ihor Radchenko <yantar92@HIDDEN> writes:

>> It would certanly help if you could provide a reproducer.
>
> I was trying to make a simple recipe to reproduce this, but failed.
> The bug only appears with my config (though I do not see any problem
> when not using native-comp branch).
> Will try to narrow down the exact cause, but it may take a while.
>
> Best,
> Ihor

Hi Ihor,

thanks this is appreciated because I haven't managed to reproduce it
myself.

Thanks

  Andrea

-- 
akrl@HIDDEN




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40838; Package emacs. Full text available.

Message received at 40838 <at> debbugs.gnu.org:


Received: (at 40838) by debbugs.gnu.org; 28 Apr 2020 14:44:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 28 10:44:27 2020
Received: from localhost ([127.0.0.1]:41062 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jTRTH-0002z0-Jg
	for submit <at> debbugs.gnu.org; Tue, 28 Apr 2020 10:44:27 -0400
Received: from mail-pg1-f174.google.com ([209.85.215.174]:46213)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yantar92@HIDDEN>) id 1jTRTG-0002yn-8Z
 for 40838 <at> debbugs.gnu.org; Tue, 28 Apr 2020 10:44:27 -0400
Received: by mail-pg1-f174.google.com with SMTP id q124so258802pgq.13
 for <40838 <at> debbugs.gnu.org>; Tue, 28 Apr 2020 07:44:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version; bh=He7bw3zYboy/RHnBdW44LCf51F+8ZYt3cAe+1gAJdJk=;
 b=ZiYU+CZudvTpOZuPqWsP5hAvC10/mt5JtOHYIrYiowz0H6zctPdxMxeIdeqv+mv6xm
 AFHkkHZ0dGkGJ8Pk3G1wH2LjrAZ9g7Nx2jtVKvm0H0vewGLvB5W9wkcRAg5eakq+yWLW
 iOm5GBu9jHIPjWUrO0oBWNw2zKpSuZlDUPLBWO6GwJ9LLgMCudD1PW3mu7vKT+Cgx4aN
 pAtJcqt50DJLkfxqW+OAou1Te+vwz20Hms/ZWr37VWCTpO/8GHaIn/O/oiMsvtb0aXCr
 NCzhKi2yYs1jEX5VpnK4fNLb5dJBkNZ4dcwMFDhi+B6aL/nqQZ9w2QnE1O1xjFQ+J1aK
 +SNA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references:date
 :message-id:mime-version;
 bh=He7bw3zYboy/RHnBdW44LCf51F+8ZYt3cAe+1gAJdJk=;
 b=MgAeHC9BDG6ivalpQIbchlnDikrjynqYt4Ro5IpxA8ATzexpIhLWAJFFDZC3QzldWI
 +WvA/p4neebRhhC4n4k8nw1HsquR1UBjfVKuRujWWlbdQLshcS2cEZsZAXz2JiHz8e0L
 3qSihoux0cxD8JF/f7uZNpbnCnzXz1yP1waw+3oxeAHX7kEgPll9HUb2h3IZd7CJbw1o
 zqeTh4dMxXJA4U3L76sykk+0I3/6mV9av5NfII/jmSBBIwZi6vg6+UjEaTwi0YeUColH
 A4LRU1dMlbIQ6GLfP/i0YsFGVN0WJmXLQvU90YmuQ6XZTFIGzhOI2mqSmhaOKAuoFD41
 LWYA==
X-Gm-Message-State: AGi0PuZPI2TXhty2imIbwWKSAD1da7y2sRRPw1q24J5IPhGKcLDfNqBO
 6nQU7Do+xTw0Ki2Lu8ZVmukgrmxjbKM=
X-Google-Smtp-Source: APiQypJWVqllHfIZyw5sL7PlJOSTmrA9+OhX+KP6wHCArKYteyc9WcoOI0xJu56e4/vpqx8qSCTQiQ==
X-Received: by 2002:a62:1c89:: with SMTP id
 c131mr28405357pfc.164.1588085060013; 
 Tue, 28 Apr 2020 07:44:20 -0700 (PDT)
Received: from localhost ([101.99.64.65])
 by smtp.gmail.com with ESMTPSA id c15sm15228549pfo.188.2020.04.28.07.44.18
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 28 Apr 2020 07:44:19 -0700 (PDT)
From: Ihor Radchenko <yantar92@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
Subject: Re: bug#40838: 28.0.50; [feature/native-comp] Function overrides in
 init.el are not honored after deferred compilation
In-Reply-To: <xjfwo62lj1h.fsf@HIDDEN>
References: <87zhb0q8wi.fsf@localhost> <xjfv9lolybt.fsf@HIDDEN>
 <xjfmu6zmyk5.fsf@HIDDEN> <87lfmidexg.fsf@localhost>
 <xjfwo62lj1h.fsf@HIDDEN>
Date: Tue, 28 Apr 2020 22:40:19 +0800
Message-ID: <87mu6v4qss.fsf@localhost>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 40838
Cc: 40838 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

> It would certanly help if you could provide a reproducer.

I was trying to make a simple recipe to reproduce this, but failed.
The bug only appears with my config (though I do not see any problem
when not using native-comp branch).
Will try to narrow down the exact cause, but it may take a while.

Best,
Ihor

Andrea Corallo <akrl@HIDDEN> writes:

> Ihor Radchenko <yantar92@HIDDEN> writes:
>
> Hi Ihor,
>
>>> I believe bab36619fb should fix the issue (at least fixes a bug with the
>>> same sympthom).
>>>
>>> I leave the bug open for your confirmation.
>>
>> I am on c984a53b4e198e31d11d7bc493dc9a686c77edae. The issue is _not_
>> fixed.
>
> No need for underlying I'd read it anyway :)
>
>> If it helps, I redefined org-agenda-highlight-todo using el-patch.
>
> It would certanly help if you could provide a reproducer.
>
> Thanks!
>
>   Andrea
>
> --
> akrl@HIDDEN

-- 
Ihor Radchenko,
PhD,
Center for Advancing Materials Performance from the Nanoscale (CAMP-nano)
State Key Laboratory for Mechanical Behavior of Materials, Xi'an Jiaotong University, Xi'an, China
Email: yantar92@HIDDEN, ihor_radchenko@HIDDEN




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40838; Package emacs. Full text available.

Message received at 40838 <at> debbugs.gnu.org:


Received: (at 40838) by debbugs.gnu.org; 26 Apr 2020 08:59:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 26 04:59:10 2020
Received: from localhost ([127.0.0.1]:60837 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jSd82-0002JH-6u
	for submit <at> debbugs.gnu.org; Sun, 26 Apr 2020 04:59:10 -0400
Received: from mx.sdf.org ([205.166.94.20]:58648)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1jSd80-0002J8-Dc
 for 40838 <at> debbugs.gnu.org; Sun, 26 Apr 2020 04:59:09 -0400
Received: from sdf.org (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 03Q8x6NS010314
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Sun, 26 Apr 2020 08:59:06 GMT
Received: (from akrl@localhost)
 by sdf.org (8.15.2/8.12.8/Submit) id 03Q8x6fT010006;
 Sun, 26 Apr 2020 08:59:06 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Ihor Radchenko <yantar92@HIDDEN>
Subject: Re: bug#40838: 28.0.50;
 [feature/native-comp] Function overrides in init.el are not honored
 after deferred compilation
References: <87zhb0q8wi.fsf@localhost> <xjfv9lolybt.fsf@HIDDEN>
 <xjfmu6zmyk5.fsf@HIDDEN> <87lfmidexg.fsf@localhost>
Date: Sun, 26 Apr 2020 08:59:06 +0000
In-Reply-To: <87lfmidexg.fsf@localhost> (Ihor Radchenko's message of "Sun, 26
 Apr 2020 12:55:07 +0800")
Message-ID: <xjfwo62lj1h.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40838
Cc: 40838 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Ihor Radchenko <yantar92@HIDDEN> writes:

Hi Ihor,

>> I believe bab36619fb should fix the issue (at least fixes a bug with the
>> same sympthom).
>>
>> I leave the bug open for your confirmation.
>
> I am on c984a53b4e198e31d11d7bc493dc9a686c77edae. The issue is _not_
> fixed.

No need for underlying I'd read it anyway :)

> If it helps, I redefined org-agenda-highlight-todo using el-patch.

It would certanly help if you could provide a reproducer.

Thanks!

  Andrea

--
akrl@HIDDEN




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40838; Package emacs. Full text available.

Message received at 40838 <at> debbugs.gnu.org:


Received: (at 40838) by debbugs.gnu.org; 26 Apr 2020 04:59:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 26 00:59:24 2020
Received: from localhost ([127.0.0.1]:60762 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jSZNz-0004RV-RR
	for submit <at> debbugs.gnu.org; Sun, 26 Apr 2020 00:59:24 -0400
Received: from mail-pl1-f178.google.com ([209.85.214.178]:42965)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yantar92@HIDDEN>) id 1jSZNu-0004R9-NN
 for 40838 <at> debbugs.gnu.org; Sun, 26 Apr 2020 00:59:22 -0400
Received: by mail-pl1-f178.google.com with SMTP id v2so5546545plp.9
 for <40838 <at> debbugs.gnu.org>; Sat, 25 Apr 2020 21:59:18 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version; bh=DThR+wAXe/OOrpSg/Tw8mSztkVw8RrhMTuwB1/bQ8yc=;
 b=HAQRH1yeAFH78lRh32PPon695hOKTpJmg6vjy/OavIuZjcaB69RB4FBMh9yQF3WZWQ
 60+NLRASK1J2px9tnPDNZip9OCYpdMFt5MJYD7k8yquduLwDLnfZLiSXPVjqQ9WsAMLc
 jOe1dWPFoh+0zwNwrH9Zx/Wqqxdg/R6S/kaR5qoRwA702Ts8FNnuGyPG17EY5aMMRp6r
 qzAE75UqII59TMnvnw+4QmGnJBwECYV3U7ji68AF7q4rUYzBeuc4K5lsj3md5hWSj3jD
 HZoiKWBfXntzZUom69sjVdDsvzaYDpgW/5pwicC82HfZXK2rJHhqgRcSBajXcEo9xvYD
 3KWA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references:date
 :message-id:mime-version;
 bh=DThR+wAXe/OOrpSg/Tw8mSztkVw8RrhMTuwB1/bQ8yc=;
 b=kN/iEEOY9p/EHhY0YcOWtabefnavcQeFQbcfIX9msjLjQpq7IG0yUgHraTCMfuCn92
 PLyuM3H2/FOUUwob4vSkraL7/D3l5olwviAzfBAE2Rz3M4PUUZi6QTLBT62KMnW+3ykP
 OBMeUBMGc/1YLVQ5ffKzbioNQyhtnH+vywL42xxupUHM+8Ijg+Uri9sjjgetoUhByNde
 EBqiHKndmhvkb2NDZiwgvjHgmdTRmUhm+qB/m0YaALbRNfuZm+5eqsnrHKl5JUcNxi6h
 CuT+RSnY5UJUcdBzCuc4xlRplnckzkwDyeKL6XSTo5gxQ/tVTAU2DuqWXq9cl/ri43RK
 Y36w==
X-Gm-Message-State: AGi0PuYGfxNLGkjgG7wDGHrK/dumTzHSsn5RsIyrOomRrsPULIeUs/fv
 iBNG7nVTFb9IstVTzXE3V+E=
X-Google-Smtp-Source: APiQypJblWpp9hkVVs6LNulPTUECBwfT3BNPV/NttLozMIN8zx+4TNVx1kveIsgn5mcBLfSjgqGhEA==
X-Received: by 2002:a17:902:8202:: with SMTP id
 x2mr17318422pln.287.1587877152838; 
 Sat, 25 Apr 2020 21:59:12 -0700 (PDT)
Received: from localhost ([203.146.170.148])
 by smtp.gmail.com with ESMTPSA id g9sm8128257pgj.89.2020.04.25.21.59.07
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 25 Apr 2020 21:59:12 -0700 (PDT)
From: Ihor Radchenko <yantar92@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
Subject: Re: bug#40838: 28.0.50; [feature/native-comp] Function overrides in
 init.el are not honored after deferred compilation
In-Reply-To: <xjfmu6zmyk5.fsf@HIDDEN>
References: <87zhb0q8wi.fsf@localhost> <xjfv9lolybt.fsf@HIDDEN>
 <xjfmu6zmyk5.fsf@HIDDEN>
Date: Sun, 26 Apr 2020 12:55:07 +0800
Message-ID: <87lfmidexg.fsf@localhost>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 40838
Cc: 40838 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

> I believe bab36619fb should fix the issue (at least fixes a bug with the
> same sympthom).
>
> I leave the bug open for your confirmation.

I am on c984a53b4e198e31d11d7bc493dc9a686c77edae. The issue is _not_
fixed.

If it helps, I redefined org-agenda-highlight-todo using el-patch.

Best,
Ihor


Andrea Corallo <akrl@HIDDEN> writes:

> Andrea Corallo <akrl@HIDDEN> writes:
>
> Hi Ihor,
>
> I believe bab36619fb should fix the issue (at least fixes a bug with the
> same sympthom).
>
> I leave the bug open for your confirmation.
>
> Thanks
>
>   Andrea
>
> -- 
> akrl@HIDDEN

-- 
Ihor Radchenko,
PhD,
Center for Advancing Materials Performance from the Nanoscale (CAMP-nano)
State Key Laboratory for Mechanical Behavior of Materials, Xi'an Jiaotong University, Xi'an, China
Email: yantar92@HIDDEN, ihor_radchenko@HIDDEN




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40838; Package emacs. Full text available.

Message received at 40838 <at> debbugs.gnu.org:


Received: (at 40838) by debbugs.gnu.org; 25 Apr 2020 14:26:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 25 10:26:23 2020
Received: from localhost ([127.0.0.1]:60161 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jSLl8-00040Z-VF
	for submit <at> debbugs.gnu.org; Sat, 25 Apr 2020 10:26:23 -0400
Received: from mx.sdf.org ([205.166.94.20]:59863)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1jSLl6-00040O-LT
 for 40838 <at> debbugs.gnu.org; Sat, 25 Apr 2020 10:26:21 -0400
Received: from sdf.org (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 03PEQI03019830
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Sat, 25 Apr 2020 14:26:19 GMT
Received: (from akrl@localhost)
 by sdf.org (8.15.2/8.12.8/Submit) id 03PEQIgD008990;
 Sat, 25 Apr 2020 14:26:18 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Ihor Radchenko <yantar92@HIDDEN>
Subject: Re: bug#40838: 28.0.50;
 [feature/native-comp] Function overrides in init.el are not honored
 after deferred compilation
References: <87zhb0q8wi.fsf@localhost> <xjfv9lolybt.fsf@HIDDEN>
Date: Sat, 25 Apr 2020 14:26:18 +0000
In-Reply-To: <xjfv9lolybt.fsf@HIDDEN> (Andrea Corallo's message of "Sat, 25
 Apr 2020 09:16:38 +0000")
Message-ID: <xjfmu6zmyk5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40838
Cc: 40838 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Andrea Corallo <akrl@HIDDEN> writes:

Hi Ihor,

I believe bab36619fb should fix the issue (at least fixes a bug with the
same sympthom).

I leave the bug open for your confirmation.

Thanks

  Andrea

-- 
akrl@HIDDEN




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40838; Package emacs. Full text available.

Message received at 40838 <at> debbugs.gnu.org:


Received: (at 40838) by debbugs.gnu.org; 25 Apr 2020 09:16:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 25 05:16:44 2020
Received: from localhost ([127.0.0.1]:58518 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jSGvU-0006XZ-20
	for submit <at> debbugs.gnu.org; Sat, 25 Apr 2020 05:16:44 -0400
Received: from mx.sdf.org ([205.166.94.20]:59819)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1jSGvP-0006XP-Ht
 for 40838 <at> debbugs.gnu.org; Sat, 25 Apr 2020 05:16:42 -0400
Received: from sdf.org (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 03P9GcDg025259
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Sat, 25 Apr 2020 09:16:38 GMT
Received: (from akrl@localhost)
 by sdf.org (8.15.2/8.12.8/Submit) id 03P9Gcw0031109;
 Sat, 25 Apr 2020 09:16:38 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Ihor Radchenko <yantar92@HIDDEN>
Subject: Re: bug#40838: 28.0.50;
 [feature/native-comp] Function overrides in init.el are not honored
 after deferred compilation
References: <87zhb0q8wi.fsf@localhost>
Date: Sat, 25 Apr 2020 09:16:38 +0000
In-Reply-To: <87zhb0q8wi.fsf@localhost> (Ihor Radchenko's message of "Sat, 25
 Apr 2020 16:14:37 +0800")
Message-ID: <xjfv9lolybt.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40838
Cc: 40838 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Ihor,

Ihor Radchenko <yantar92@HIDDEN> writes:

> I redefine or patch some functions from packages in my init.el.
> However, I noticed that the default definitions can be unexpectedly
> restored.
>
> I observe the following when comp-deferred-compilation is set to 't:
>
> 1. A package that is not native-compiled is loaded on startup and the
> native-comp process is started asynchronously
> 2. Some function from the package is redefined in my init.el 
> 3. The native compilation finishes
> 4. My function definition from init.el is no longer working. The default
> version is restored.
>
> I do not think that loading .eln files should override function slots if
> they are different from what is in the original .el file.

You are 100% right, it should not (we have some specific logic for that).

I'll look into it thanks for the bug report.

  Andrea

-- 
akrl@HIDDEN




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40838; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Apr 2020 08:18:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 25 04:18:47 2020
Received: from localhost ([127.0.0.1]:58483 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jSG1N-000570-Nr
	for submit <at> debbugs.gnu.org; Sat, 25 Apr 2020 04:18:47 -0400
Received: from lists.gnu.org ([209.51.188.17]:52903)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yantar92@HIDDEN>) id 1jSG1K-00056r-FT
 for submit <at> debbugs.gnu.org; Sat, 25 Apr 2020 04:18:44 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:46880)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <yantar92@HIDDEN>) id 1jSG1H-0002j0-UN
 for bug-gnu-emacs@HIDDEN; Sat, 25 Apr 2020 04:18:42 -0400
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.8 required=5.0 tests=BAYES_00,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_ENVFROM_END_DIGIT,
 FREEMAIL_FROM,RCVD_IN_DNSWL_NONE,SPF_PASS,URIBL_BLOCKED
 autolearn=unavailable autolearn_force=no version=3.4.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.90_1)
 (envelope-from <yantar92@HIDDEN>) id 1jSG1E-0003ZV-S1
 for bug-gnu-emacs@HIDDEN; Sat, 25 Apr 2020 04:18:39 -0400
Received: from mail-pl1-x62e.google.com ([2607:f8b0:4864:20::62e]:46321)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <yantar92@HIDDEN>)
 id 1jSG1E-0003WT-CI
 for bug-gnu-emacs@HIDDEN; Sat, 25 Apr 2020 04:18:36 -0400
Received: by mail-pl1-x62e.google.com with SMTP id n24so4653965plp.13
 for <bug-gnu-emacs@HIDDEN>; Sat, 25 Apr 2020 01:18:35 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version;
 bh=h3wVYkI8KgYpOVNP0vUGdVc9k12iumIjUT+eFcew6tQ=;
 b=kheWcX5J5kvCUSir7k+F/AGzPw35tkY0wmV3gzxHXsJzhb+jd6eSnnqt4F8IKbDF4s
 Hhw5rn5THuy519UuIajJjH47Er7a4fx/y61IUd/MC3Prs1Kl1EoMFbO13wsuT7IFxs+B
 ZC1QW/nInMYwrHN+Pay1a4KozzxlJyt2+cFesNUBfne/5ZGOWhjEzk9UIggFRRX8DzVG
 bl+QsUlYgcWW0rAMtrQUUsHXlizR5HfgvFqvRDtNOwtm4Gsl4PODyJlI0IxlAAUVQZCz
 xlB7F6ycnhuSPUDqnJ7ac4sXojn5PL4kkAeXWbeOtsK0Tl/Oh/37NqvL5SvZY5jQtJn8
 js8g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=h3wVYkI8KgYpOVNP0vUGdVc9k12iumIjUT+eFcew6tQ=;
 b=OU8XXM+b7VYq5IAcsMvSClv85YwdIGeyNhFPuwo4C3C/kCukw8VCwuaSSXQwpyEtdK
 TuenlRpHWezUpZhf5Q/x49HdBCwqpMOyZawlhfrjKpM1HQoM65pnKioeRe5QAULjdjjj
 Q8+9n5GCaYCm/P0jVizJE6V3FH7kO59QL0yES1kVneJ6aLjHaK5SVWCbkY2bZ9GHsSwV
 pGjeCWZWgJgYGPc5qgNvhdA/L4mpFmshU4xqxX3aVvBpcQq0jKT/2pYdooF8p440GTcE
 gm7K+Q1pBYh1jhWab38YHThk4iVdfwiBJDyInF90P2CmNaPat83ZLs/WW61KZjMt/cJm
 FOBA==
X-Gm-Message-State: AGi0PubA1B4v9SY/jdFk0oPexU7Nsp4yRWbNigRgdujzmkN3L5SId0hz
 OGUvvv1A4S5d6HRiz8TQIdabZKPlI5w=
X-Google-Smtp-Source: APiQypJ+/cYDnMMmnwbuwFbY9stCybKxpSb/g0c7/jZ7U9qXpI8os10tX4tIqvAC03Oom/ghdLpVAA==
X-Received: by 2002:a17:902:342:: with SMTP id
 60mr13872138pld.29.1587802713622; 
 Sat, 25 Apr 2020 01:18:33 -0700 (PDT)
Received: from localhost ([210.3.160.230])
 by smtp.gmail.com with ESMTPSA id 139sm3574198pfc.170.2020.04.25.01.18.32
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 25 Apr 2020 01:18:33 -0700 (PDT)
From: Ihor Radchenko <yantar92@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; [feature/native-comp] Function overrides in init.el are
 not honored after deferred compilation
Date: Sat, 25 Apr 2020 16:14:37 +0800
Message-ID: <87zhb0q8wi.fsf@localhost>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=2607:f8b0:4864:20::62e;
 envelope-from=yantar92@HIDDEN; helo=mail-pl1-x62e.google.com
X-detected-operating-system: by eggs.gnu.org: Error: [-] PROGRAM ABORT :
 Malformed IPv6 address (bad octet value).
 Location : parse_addr6(), p0f-client.c:67
X-Received-From: 2607:f8b0:4864:20::62e
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

I redefine or patch some functions from packages in my init.el.
However, I noticed that the default definitions can be unexpectedly
restored.

I observe the following when comp-deferred-compilation is set to 't:

1. A package that is not native-compiled is loaded on startup and the
native-comp process is started asynchronously
2. Some function from the package is redefined in my init.el 
3. The native compilation finishes
4. My function definition from init.el is no longer working. The default
version is restored.

I do not think that loading .eln files should override function slots if
they are different from what is in the original .el file.

Best,
Ihor

In GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.16, cairo version 1.16.0)
 of 2020-04-24 built on yantar92-laptop
Repository revision: 81389d5f2dcb41730dcbc76874cc14eadb53ae75
Repository branch: feature/native-comp
Windowing system distributor 'The X.Org Foundation', version 11.0.12006000
System Description: Gentoo/Linux

Configured using:
 'configure --with-nativecomp'

Configured features:
XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GSETTINGS GLIB NOTIFY
INOTIFY ACL GNUTLS LIBXML2 FREETYPE HARFBUZZ ZLIB TOOLKIT_SCROLL_BARS
GTK3 X11 XDBE XIM MODULES THREADS PDUMPER LCMS2 GMP

Important settings:
  value of $LANG: en_US.utf8
  value of $XMODIFIERS: @im=imsettings
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  org-edna-mode: t
  pdf-occur-global-minor-mode: t
  TeX-PDF-mode: t
  el-patch-use-package-mode: t
  eros-mode: t
  which-key-mode: t
  global-undo-tree-mode: t
  undo-tree-mode: t
  global-aggressive-indent-mode: t
  aggressive-indent-mode: t
  diredfl-global-mode: t
  winner-mode: t
  recentf-mode: t
  helm-global-mode: t
  helm-mode: t
  helm--remap-mouse-mode: t
  eval-sexp-fu-flash-mode: t
  volatile-highlights-mode: t
  global-highlight-parentheses-mode: t
  highlight-parentheses-mode: t
  global-magit-file-mode: t
  magit-auto-revert-mode: t
  global-git-commit-mode: t
  async-bytecomp-package-mode: t
  shell-dirtrack-mode: t
  company-mode: t
  persistent-scratch-autosave-mode: t
  savehist-mode: t
  centered-window-mode: t
  boon-mode: t
  boon-local-mode: t
  global-hl-line-mode: t
  spaceline-helm-mode: t
  global-page-break-lines-mode: t
  page-break-lines-mode: t
  shackle-mode: t
  override-global-mode: t
  straight-use-package-mode: t
  straight-package-neutering-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  global-prettify-symbols-mode: t
  prettify-symbols-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  window-divider-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  size-indication-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Load-path shadows:
/home/yantar92/.emacs.d/straight/build/org/org-macro hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/org-macro
/home/yantar92/.emacs.d/straight/build/org/org-pcomplete hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/org-pcomplete
/home/yantar92/.emacs.d/straight/build/org/org-keys hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/org-keys
/home/yantar92/.emacs.d/straight/build/org/ob-python hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-python
/home/yantar92/.emacs.d/straight/build/org/ob-clojure hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-clojure
/home/yantar92/.emacs.d/straight/build/org/org hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/org
/home/yantar92/.emacs.d/straight/build/org/org-datetree hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/org-datetree
/home/yantar92/.emacs.d/straight/build/org/ob-stan hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-stan
/home/yantar92/.emacs.d/straight/build/org/ox hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ox
/home/yantar92/.emacs.d/straight/build/org/ob-makefile hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-makefile
/home/yantar92/.emacs.d/straight/build/org/ob-js hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-js
/home/yantar92/.emacs.d/straight/build/org/ox-publish hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ox-publish
/home/yantar92/.emacs.d/straight/build/org/ob-awk hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-awk
/home/yantar92/.emacs.d/straight/build/org/ob-calc hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-calc
/home/yantar92/.emacs.d/straight/build/org/ox-latex hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ox-latex
/home/yantar92/.emacs.d/straight/build/org/ob-shell hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-shell
/home/yantar92/.emacs.d/straight/build/org/org-entities hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/org-entities
/home/yantar92/.emacs.d/straight/build/org/ob-lilypond hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-lilypond
/home/yantar92/.emacs.d/straight/build/org/org-install hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/org-install
/home/yantar92/.emacs.d/straight/build/org/ob-shen hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-shen
/home/yantar92/.emacs.d/straight/build/org/org-faces hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/org-faces
/home/yantar92/.emacs.d/straight/build/org/org-element hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/org-element
/home/yantar92/.emacs.d/straight/build/org/org-agenda hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/org-agenda
/home/yantar92/.emacs.d/straight/build/org/ob-exp hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-exp
/home/yantar92/.emacs.d/straight/build/org/ob-matlab hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-matlab
/home/yantar92/.emacs.d/straight/build/org/ob-haskell hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-haskell
/home/yantar92/.emacs.d/straight/build/org/ob-abc hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-abc
/home/yantar92/.emacs.d/straight/build/org/org-macs hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/org-macs
/home/yantar92/.emacs.d/straight/build/org/ob-fortran hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-fortran
/home/yantar92/.emacs.d/straight/build/org/org-lint hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/org-lint
/home/yantar92/.emacs.d/straight/build/org/org-goto hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/org-goto
/home/yantar92/.emacs.d/straight/build/org/ob-ref hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-ref
/home/yantar92/.emacs.d/straight/build/org/ob-lob hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-lob
/home/yantar92/.emacs.d/straight/build/org/org-duration hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/org-duration
/home/yantar92/.emacs.d/straight/build/org/ol-bbdb hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ol-bbdb
/home/yantar92/.emacs.d/straight/build/org/ob-sql hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-sql
/home/yantar92/.emacs.d/straight/build/org/ob-mscgen hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-mscgen
/home/yantar92/.emacs.d/straight/build/org/org-tempo hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/org-tempo
/home/yantar92/.emacs.d/straight/build/org/ol-eshell hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ol-eshell
/home/yantar92/.emacs.d/straight/build/org/ob-sass hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-sass
/home/yantar92/.emacs.d/straight/build/org/ob-ruby hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-ruby
/home/yantar92/.emacs.d/straight/build/org/ob-java hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-java
/home/yantar92/.emacs.d/straight/build/org/ob-css hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-css
/home/yantar92/.emacs.d/straight/build/org/ob-ocaml hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-ocaml
/home/yantar92/.emacs.d/straight/build/org/ob-screen hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-screen
/home/yantar92/.emacs.d/straight/build/org/ob-sed hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-sed
/home/yantar92/.emacs.d/straight/build/org/org-refile hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/org-refile
/home/yantar92/.emacs.d/straight/build/org/ob-lisp hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-lisp
/home/yantar92/.emacs.d/straight/build/org/ox-md hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ox-md
/home/yantar92/.emacs.d/straight/build/org/org-clock hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/org-clock
/home/yantar92/.emacs.d/straight/build/org/ob-maxima hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-maxima
/home/yantar92/.emacs.d/straight/build/org/ob-io hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-io
/home/yantar92/.emacs.d/straight/build/org/ob-J hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-J
/home/yantar92/.emacs.d/straight/build/org/ol-rmail hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ol-rmail
/home/yantar92/.emacs.d/straight/build/org/ox-org hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ox-org
/home/yantar92/.emacs.d/straight/build/org/ob-table hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-table
/home/yantar92/.emacs.d/straight/build/org/ol hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ol
/home/yantar92/.emacs.d/straight/build/org/ob-asymptote hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-asymptote
/home/yantar92/.emacs.d/straight/build/org/ob-sqlite hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-sqlite
/home/yantar92/.emacs.d/straight/build/org/ol-w3m hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ol-w3m
/home/yantar92/.emacs.d/straight/build/org/ox-beamer hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ox-beamer
/home/yantar92/.emacs.d/straight/build/org/org-mouse hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/org-mouse
/home/yantar92/.emacs.d/straight/build/org/org-habit hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/org-habit
/home/yantar92/.emacs.d/straight/build/org/ob-gnuplot hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-gnuplot
/home/yantar92/.emacs.d/straight/build/org/org-crypt hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/org-crypt
/home/yantar92/.emacs.d/straight/build/org/ob-ebnf hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-ebnf
/home/yantar92/.emacs.d/straight/build/org/ob-R hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-R
/home/yantar92/.emacs.d/straight/build/org/org-inlinetask hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/org-inlinetask
/home/yantar92/.emacs.d/straight/build/org/ol-irc hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ol-irc
/home/yantar92/.emacs.d/straight/build/org/org-archive hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/org-archive
/home/yantar92/.emacs.d/straight/build/org/ol-docview hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ol-docview
/home/yantar92/.emacs.d/straight/build/org/ob-plantuml hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-plantuml
/home/yantar92/.emacs.d/straight/build/org/ob-eshell hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-eshell
/home/yantar92/.emacs.d/straight/build/org/ob-eval hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-eval
/home/yantar92/.emacs.d/straight/build/org/ox-texinfo hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ox-texinfo
/home/yantar92/.emacs.d/straight/build/org/ob-dot hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-dot
/home/yantar92/.emacs.d/straight/build/org/ob hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob
/home/yantar92/.emacs.d/straight/build/org/ob-coq hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-coq
/home/yantar92/.emacs.d/straight/build/org/ol-info hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ol-info
/home/yantar92/.emacs.d/straight/build/org/org-loaddefs hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/org-loaddefs
/home/yantar92/.emacs.d/straight/build/org/ob-ditaa hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-ditaa
/home/yantar92/.emacs.d/straight/build/org/org-mobile hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/org-mobile
/home/yantar92/.emacs.d/straight/build/org/ox-man hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ox-man
/home/yantar92/.emacs.d/straight/build/org/ob-emacs-lisp hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-emacs-lisp
/home/yantar92/.emacs.d/straight/build/org/ol-gnus hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ol-gnus
/home/yantar92/.emacs.d/straight/build/org/ob-lua hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-lua
/home/yantar92/.emacs.d/straight/build/org/org-protocol hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/org-protocol
/home/yantar92/.emacs.d/straight/build/org/org-compat hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/org-compat
/home/yantar92/.emacs.d/straight/build/org/ob-vala hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-vala
/home/yantar92/.emacs.d/straight/build/org/ob-org hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-org
/home/yantar92/.emacs.d/straight/build/org/ox-html hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ox-html
/home/yantar92/.emacs.d/straight/build/org/org-list hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/org-list
/home/yantar92/.emacs.d/straight/build/org/ol-bibtex hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ol-bibtex
/home/yantar92/.emacs.d/straight/build/org/ob-forth hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-forth
/home/yantar92/.emacs.d/straight/build/org/org-indent hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/org-indent
/home/yantar92/.emacs.d/straight/build/org/org-footnote hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/org-footnote
/home/yantar92/.emacs.d/straight/build/org/ob-scheme hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-scheme
/home/yantar92/.emacs.d/straight/build/org/ob-tangle hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-tangle
/home/yantar92/.emacs.d/straight/build/org/ox-icalendar hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ox-icalendar
/home/yantar92/.emacs.d/straight/build/org/ol-eww hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ol-eww
/home/yantar92/.emacs.d/straight/build/org/ob-octave hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-octave
/home/yantar92/.emacs.d/straight/build/org/ob-ledger hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-ledger
/home/yantar92/.emacs.d/straight/build/org/org-num hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/org-num
/home/yantar92/.emacs.d/straight/build/org/ob-picolisp hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-picolisp
/home/yantar92/.emacs.d/straight/build/org/ob-latex hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-latex
/home/yantar92/.emacs.d/straight/build/org/ob-groovy hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-groovy
/home/yantar92/.emacs.d/straight/build/org/org-id hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/org-id
/home/yantar92/.emacs.d/straight/build/org/ob-core hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-core
/home/yantar92/.emacs.d/straight/build/org/ob-processing hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-processing
/home/yantar92/.emacs.d/straight/build/org/org-capture hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/org-capture
/home/yantar92/.emacs.d/straight/build/org/ob-C hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-C
/home/yantar92/.emacs.d/straight/build/org/ox-odt hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ox-odt
/home/yantar92/.emacs.d/straight/build/org/org-attach-git hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/org-attach-git
/home/yantar92/.emacs.d/straight/build/org/org-feed hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/org-feed
/home/yantar92/.emacs.d/straight/build/org/org-ctags hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/org-ctags
/home/yantar92/.emacs.d/straight/build/org/org-src hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/org-src
/home/yantar92/.emacs.d/straight/build/org/org-colview hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/org-colview
/home/yantar92/.emacs.d/straight/build/org/ox-ascii hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ox-ascii
/home/yantar92/.emacs.d/straight/build/org/org-plot hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/org-plot
/home/yantar92/.emacs.d/straight/build/org/ob-comint hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-comint
/home/yantar92/.emacs.d/straight/build/org/org-timer hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/org-timer
/home/yantar92/.emacs.d/straight/build/org/org-attach hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/org-attach
/home/yantar92/.emacs.d/straight/build/org/ob-perl hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-perl
/home/yantar92/.emacs.d/straight/build/org/org-table hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/org-table
/home/yantar92/.emacs.d/straight/build/org/ol-mhe hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ol-mhe
/home/yantar92/.emacs.d/straight/build/org/ob-hledger hides /home/yantar92/.emacs.d/straight/build/org-plus-contrib/ob-hledger
/home/yantar92/.emacs.d/straight/build/helm-org-contacts/helm-org-contacts hides /home/yantar92/.emacs.d/site-lisp/helm-org-contacts/helm-org-contacts
/home/yantar92/.emacs.d/straight/build/helpful/helpful hides /home/yantar92/.emacs.d/site-lisp/helpful/helpful
/home/yantar92/.emacs.d/straight/build/centered-window-mode/centered-window hides /home/yantar92/.emacs.d/site-lisp/centered-window-mode/centered-window
/home/yantar92/.emacs.d/straight/build/dired+/dired+ hides /home/yantar92/.emacs.d/site-lisp/dired+/dired+
/home/yantar92/.emacs.d/straight/build/spaceline-all-the-icons/spaceline-all-the-icons-separators hides /home/yantar92/.emacs.d/site-lisp/spaceline-all-the-icons.el/spaceline-all-the-icons-separators
/home/yantar92/.emacs.d/straight/build/spaceline-all-the-icons/spaceline-all-the-icons hides /home/yantar92/.emacs.d/site-lisp/spaceline-all-the-icons.el/spaceline-all-the-icons
/home/yantar92/.emacs.d/straight/build/spaceline-all-the-icons/spaceline-all-the-icons-segments hides /home/yantar92/.emacs.d/site-lisp/spaceline-all-the-icons.el/spaceline-all-the-icons-segments
/home/yantar92/.emacs.d/straight/build/spaceline-all-the-icons/spaceline-all-the-icons hides ~/.emacs.d/site-lisp/spaceline-all-the-icons
/home/yantar92/.emacs.d/site-lisp/fringe-helper.el/fringe-helper hides ~/.emacs.d/site-lisp/fringe-helper
/home/yantar92/.emacs.d/site-lisp/centered-window-mode/custom hides /home/yantar92/tmp/emacs2/emacs/lisp/custom
/home/yantar92/.emacs.d/straight/build/org/org-macro hides /home/yantar92/tmp/emacs2/emacs/lisp/org/org-macro
/home/yantar92/.emacs.d/straight/build/org/org-pcomplete hides /home/yantar92/tmp/emacs2/emacs/lisp/org/org-pcomplete
/home/yantar92/.emacs.d/straight/build/org/org-keys hides /home/yantar92/tmp/emacs2/emacs/lisp/org/org-keys
/home/yantar92/.emacs.d/straight/build/org/ob-python hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-python
/home/yantar92/.emacs.d/straight/build/org/ob-clojure hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-clojure
/home/yantar92/.emacs.d/straight/build/org/org hides /home/yantar92/tmp/emacs2/emacs/lisp/org/org
/home/yantar92/.emacs.d/straight/build/org/org-datetree hides /home/yantar92/tmp/emacs2/emacs/lisp/org/org-datetree
/home/yantar92/.emacs.d/straight/build/org/ob-stan hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-stan
/home/yantar92/.emacs.d/straight/build/org/ox hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ox
/home/yantar92/.emacs.d/straight/build/org/ob-makefile hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-makefile
/home/yantar92/.emacs.d/straight/build/org/ob-js hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-js
/home/yantar92/.emacs.d/straight/build/org/ox-publish hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ox-publish
/home/yantar92/.emacs.d/straight/build/org/ob-awk hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-awk
/home/yantar92/.emacs.d/straight/build/org/ob-calc hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-calc
/home/yantar92/.emacs.d/straight/build/org/ox-latex hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ox-latex
/home/yantar92/.emacs.d/straight/build/org/ob-shell hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-shell
/home/yantar92/.emacs.d/straight/build/org/org-entities hides /home/yantar92/tmp/emacs2/emacs/lisp/org/org-entities
/home/yantar92/.emacs.d/straight/build/org/ob-lilypond hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-lilypond
/home/yantar92/.emacs.d/straight/build/org/org-install hides /home/yantar92/tmp/emacs2/emacs/lisp/org/org-install
/home/yantar92/.emacs.d/straight/build/org/ob-shen hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-shen
/home/yantar92/.emacs.d/straight/build/org/org-faces hides /home/yantar92/tmp/emacs2/emacs/lisp/org/org-faces
/home/yantar92/.emacs.d/straight/build/org/org-element hides /home/yantar92/tmp/emacs2/emacs/lisp/org/org-element
/home/yantar92/.emacs.d/straight/build/org/org-agenda hides /home/yantar92/tmp/emacs2/emacs/lisp/org/org-agenda
/home/yantar92/.emacs.d/straight/build/org/ob-exp hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-exp
/home/yantar92/.emacs.d/straight/build/org/ob-matlab hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-matlab
/home/yantar92/.emacs.d/straight/build/org/ob-haskell hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-haskell
/home/yantar92/.emacs.d/straight/build/org/ob-abc hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-abc
/home/yantar92/.emacs.d/straight/build/org/org-macs hides /home/yantar92/tmp/emacs2/emacs/lisp/org/org-macs
/home/yantar92/.emacs.d/straight/build/org/ob-fortran hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-fortran
/home/yantar92/.emacs.d/straight/build/org/org-lint hides /home/yantar92/tmp/emacs2/emacs/lisp/org/org-lint
/home/yantar92/.emacs.d/straight/build/org/org-version hides /home/yantar92/tmp/emacs2/emacs/lisp/org/org-version
/home/yantar92/.emacs.d/straight/build/org/org-goto hides /home/yantar92/tmp/emacs2/emacs/lisp/org/org-goto
/home/yantar92/.emacs.d/straight/build/org/ob-ref hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-ref
/home/yantar92/.emacs.d/straight/build/org/ob-lob hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-lob
/home/yantar92/.emacs.d/straight/build/org/org-duration hides /home/yantar92/tmp/emacs2/emacs/lisp/org/org-duration
/home/yantar92/.emacs.d/straight/build/org/ol-bbdb hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ol-bbdb
/home/yantar92/.emacs.d/straight/build/org/ob-sql hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-sql
/home/yantar92/.emacs.d/straight/build/org/ob-mscgen hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-mscgen
/home/yantar92/.emacs.d/straight/build/org/org-tempo hides /home/yantar92/tmp/emacs2/emacs/lisp/org/org-tempo
/home/yantar92/.emacs.d/straight/build/org/ol-eshell hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ol-eshell
/home/yantar92/.emacs.d/straight/build/org/ob-sass hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-sass
/home/yantar92/.emacs.d/straight/build/org/ob-ruby hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-ruby
/home/yantar92/.emacs.d/straight/build/org/ob-java hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-java
/home/yantar92/.emacs.d/straight/build/org/ob-css hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-css
/home/yantar92/.emacs.d/straight/build/org/ob-ocaml hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-ocaml
/home/yantar92/.emacs.d/straight/build/org/ob-screen hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-screen
/home/yantar92/.emacs.d/straight/build/org/ob-sed hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-sed
/home/yantar92/.emacs.d/straight/build/org/ob-lisp hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-lisp
/home/yantar92/.emacs.d/straight/build/org/ox-md hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ox-md
/home/yantar92/.emacs.d/straight/build/org/org-clock hides /home/yantar92/tmp/emacs2/emacs/lisp/org/org-clock
/home/yantar92/.emacs.d/straight/build/org/ob-maxima hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-maxima
/home/yantar92/.emacs.d/straight/build/org/ob-io hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-io
/home/yantar92/.emacs.d/straight/build/org/ob-J hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-J
/home/yantar92/.emacs.d/straight/build/org/ol-rmail hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ol-rmail
/home/yantar92/.emacs.d/straight/build/org/ox-org hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ox-org
/home/yantar92/.emacs.d/straight/build/org/ob-table hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-table
/home/yantar92/.emacs.d/straight/build/org/ol hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ol
/home/yantar92/.emacs.d/straight/build/org/ob-asymptote hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-asymptote
/home/yantar92/.emacs.d/straight/build/org/ob-sqlite hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-sqlite
/home/yantar92/.emacs.d/straight/build/org/ol-w3m hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ol-w3m
/home/yantar92/.emacs.d/straight/build/org/ox-beamer hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ox-beamer
/home/yantar92/.emacs.d/straight/build/org/org-mouse hides /home/yantar92/tmp/emacs2/emacs/lisp/org/org-mouse
/home/yantar92/.emacs.d/straight/build/org/org-habit hides /home/yantar92/tmp/emacs2/emacs/lisp/org/org-habit
/home/yantar92/.emacs.d/straight/build/org/ob-gnuplot hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-gnuplot
/home/yantar92/.emacs.d/straight/build/org/org-crypt hides /home/yantar92/tmp/emacs2/emacs/lisp/org/org-crypt
/home/yantar92/.emacs.d/straight/build/org/ob-ebnf hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-ebnf
/home/yantar92/.emacs.d/straight/build/org/ob-R hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-R
/home/yantar92/.emacs.d/straight/build/org/org-inlinetask hides /home/yantar92/tmp/emacs2/emacs/lisp/org/org-inlinetask
/home/yantar92/.emacs.d/straight/build/org/ol-irc hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ol-irc
/home/yantar92/.emacs.d/straight/build/org/org-archive hides /home/yantar92/tmp/emacs2/emacs/lisp/org/org-archive
/home/yantar92/.emacs.d/straight/build/org/ol-docview hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ol-docview
/home/yantar92/.emacs.d/straight/build/org/ob-plantuml hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-plantuml
/home/yantar92/.emacs.d/straight/build/org/ob-eshell hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-eshell
/home/yantar92/.emacs.d/straight/build/org/ob-eval hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-eval
/home/yantar92/.emacs.d/straight/build/org/ox-texinfo hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ox-texinfo
/home/yantar92/.emacs.d/straight/build/org/ob-dot hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-dot
/home/yantar92/.emacs.d/straight/build/org/ob hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob
/home/yantar92/.emacs.d/straight/build/org/ob-coq hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-coq
/home/yantar92/.emacs.d/straight/build/org/ol-info hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ol-info
/home/yantar92/.emacs.d/straight/build/org/org-loaddefs hides /home/yantar92/tmp/emacs2/emacs/lisp/org/org-loaddefs
/home/yantar92/.emacs.d/straight/build/org/ob-ditaa hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-ditaa
/home/yantar92/.emacs.d/straight/build/org/org-mobile hides /home/yantar92/tmp/emacs2/emacs/lisp/org/org-mobile
/home/yantar92/.emacs.d/straight/build/org/ox-man hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ox-man
/home/yantar92/.emacs.d/straight/build/org/ob-emacs-lisp hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-emacs-lisp
/home/yantar92/.emacs.d/straight/build/org/ol-gnus hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ol-gnus
/home/yantar92/.emacs.d/straight/build/org/ob-lua hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-lua
/home/yantar92/.emacs.d/straight/build/org/org-protocol hides /home/yantar92/tmp/emacs2/emacs/lisp/org/org-protocol
/home/yantar92/.emacs.d/straight/build/org/org-compat hides /home/yantar92/tmp/emacs2/emacs/lisp/org/org-compat
/home/yantar92/.emacs.d/straight/build/org/ob-vala hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-vala
/home/yantar92/.emacs.d/straight/build/org/ob-org hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-org
/home/yantar92/.emacs.d/straight/build/org/ox-html hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ox-html
/home/yantar92/.emacs.d/straight/build/org/org-list hides /home/yantar92/tmp/emacs2/emacs/lisp/org/org-list
/home/yantar92/.emacs.d/straight/build/org/ol-bibtex hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ol-bibtex
/home/yantar92/.emacs.d/straight/build/org/ob-forth hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-forth
/home/yantar92/.emacs.d/straight/build/org/org-indent hides /home/yantar92/tmp/emacs2/emacs/lisp/org/org-indent
/home/yantar92/.emacs.d/straight/build/org/org-footnote hides /home/yantar92/tmp/emacs2/emacs/lisp/org/org-footnote
/home/yantar92/.emacs.d/straight/build/org/ob-scheme hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-scheme
/home/yantar92/.emacs.d/straight/build/org/ob-tangle hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-tangle
/home/yantar92/.emacs.d/straight/build/org/ox-icalendar hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ox-icalendar
/home/yantar92/.emacs.d/straight/build/org/ol-eww hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ol-eww
/home/yantar92/.emacs.d/straight/build/org/ob-octave hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-octave
/home/yantar92/.emacs.d/straight/build/org/ob-ledger hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-ledger
/home/yantar92/.emacs.d/straight/build/org/org-num hides /home/yantar92/tmp/emacs2/emacs/lisp/org/org-num
/home/yantar92/.emacs.d/straight/build/org/ob-picolisp hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-picolisp
/home/yantar92/.emacs.d/straight/build/org/ob-latex hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-latex
/home/yantar92/.emacs.d/straight/build/org/ob-groovy hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-groovy
/home/yantar92/.emacs.d/straight/build/org/org-id hides /home/yantar92/tmp/emacs2/emacs/lisp/org/org-id
/home/yantar92/.emacs.d/straight/build/org/ob-core hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-core
/home/yantar92/.emacs.d/straight/build/org/ob-processing hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-processing
/home/yantar92/.emacs.d/straight/build/org/org-capture hides /home/yantar92/tmp/emacs2/emacs/lisp/org/org-capture
/home/yantar92/.emacs.d/straight/build/org/ob-C hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-C
/home/yantar92/.emacs.d/straight/build/org/ox-odt hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ox-odt
/home/yantar92/.emacs.d/straight/build/org/org-attach-git hides /home/yantar92/tmp/emacs2/emacs/lisp/org/org-attach-git
/home/yantar92/.emacs.d/straight/build/org/org-feed hides /home/yantar92/tmp/emacs2/emacs/lisp/org/org-feed
/home/yantar92/.emacs.d/straight/build/org/org-ctags hides /home/yantar92/tmp/emacs2/emacs/lisp/org/org-ctags
/home/yantar92/.emacs.d/straight/build/org/org-src hides /home/yantar92/tmp/emacs2/emacs/lisp/org/org-src
/home/yantar92/.emacs.d/straight/build/org/org-colview hides /home/yantar92/tmp/emacs2/emacs/lisp/org/org-colview
/home/yantar92/.emacs.d/straight/build/org/ox-ascii hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ox-ascii
/home/yantar92/.emacs.d/straight/build/org/org-plot hides /home/yantar92/tmp/emacs2/emacs/lisp/org/org-plot
/home/yantar92/.emacs.d/straight/build/org/ob-comint hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-comint
/home/yantar92/.emacs.d/straight/build/org/org-timer hides /home/yantar92/tmp/emacs2/emacs/lisp/org/org-timer
/home/yantar92/.emacs.d/straight/build/org/org-attach hides /home/yantar92/tmp/emacs2/emacs/lisp/org/org-attach
/home/yantar92/.emacs.d/straight/build/org/ob-perl hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-perl
/home/yantar92/.emacs.d/straight/build/org/org-table hides /home/yantar92/tmp/emacs2/emacs/lisp/org/org-table
/home/yantar92/.emacs.d/straight/build/org/ol-mhe hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ol-mhe
/home/yantar92/.emacs.d/straight/build/org/ob-hledger hides /home/yantar92/tmp/emacs2/emacs/lisp/org/ob-hledger
/home/yantar92/.emacs.d/straight/build/map/map hides /home/yantar92/tmp/emacs2/emacs/lisp/emacs-lisp/map
/home/yantar92/.emacs.d/straight/build/let-alist/let-alist hides /home/yantar92/tmp/emacs2/emacs/lisp/emacs-lisp/let-alist

Features:
(shadow mail-extr emacsbug sendmail avy mule-util misearch multi-isearch
texmathp conf-mode helm-x-files tramp tramp-loaddefs trampver
tramp-integration files-x tramp-compat ls-lisp cal-iso sh-script
executable gnuplot-gui gnuplot hideshow flycheck-tip error-tip
flycheck-tip-autoloads flycheck rainbow-delimiters highlight-numbers
parent-mode easy-escape org-duration vc-git sort
yasnippet-snippets-autoloads yasnippet-snippets yasnippet ffap
org-table-sticky-header ol-eww ol-rmail ol-mhe ol-irc ol-info ol-gnus
nnir ol-docview doc-view ol-bbdb ol-w3m dired-hide-dotfiles ol-notmuch
org-eldoc doom-themes-ext-org doom-themes doom-themes-base
doom-themes-autoloads org-table-sticky-header-autoloads pretty-symbols
posframe posframe-autoloads ob-async ob-async-autoloads ob-latex ob-dot
ob-calc calc-store calc-trail calc-ext calc calc-loaddefs calc-macs
ob-gnuplot ob-ditaa ob-C cc-mode cc-fonts cc-guess cc-menus cc-cmds
cc-styles cc-align cc-engine cc-vars cc-defs ob-python ob-perl ob-org
ob-shell org-tempo tempo ox-md ox-extra doct doct-autoloads
org-capture-pop-frame org-capture-pop-frame-autoloads org-protocol
pomidor-autoloads org-clock org-autosort helm-org-contacts
helm-org-contacts-autoloads org-contacts gnus-art mm-uu mml2015 gnus-sum
gnus-group gnus-undo gnus-start gnus-cloud nnimap nnmail mail-source
utf7 netrc nnoo gnus-spec gnus-int gnus-range gnus-win helm-org-ql
helm-org helm-org-autoloads org-ql-search org-ql-view ov org-ql peg
org-super-agenda ts org-ql-autoloads peg-autoloads ov-autoloads
org-super-agenda-autoloads ts-autoloads map-autoloads
org-quick-peek-autoloads org-gcal persist org-archive request-deferred
deferred alert log4e notifications gntp org-gcal-autoloads
persist-autoloads alert-autoloads log4e-autoloads gntp-autoloads
request-deferred-autoloads deferred-autoloads calfw-org
calfw-org-autoloads calfw holidays hol-loaddefs calfw-autoloads
org-web-tools-archive org-web-tools eww mm-url gnus nnheader esxml-query
org-web-tools-autoloads esxml-autoloads org-attach-fs org-attach
helm-recoll helm-for-files helm-bookmark helm-adaptive helm-external
helm-recoll-autoloads org-ref-url-utils org-ref org-ref-helm-bibtex
org-ref-helm helm-bibtex bibtex-completion biblio biblio-download
biblio-dissemin biblio-ieee biblio-hal biblio-dblp biblio-crossref
biblio-arxiv timezone biblio-doi biblio-core ido helm-net org-ref-core
reftex-cite reftex reftex-loaddefs reftex-vars parsebib ox-odt rng-loc
rng-uri rng-parse rng-match rng-dt rng-util rng-pttrn nxml-parse nxml-ns
nxml-enc xmltok nxml-util ox-latex ox-icalendar ox-html table ox-ascii
ox-publish ox org-ref-glossary org-ref-bibtex org-ref-citeproc
org-element key-chord doi-utils org-ref-utils org-ref-pdf ol-bibtex
bibtex htmlize org-ref-autoloads key-chord-autoloads ivy-autoloads
helm-bibtex-autoloads bibtex-completion-autoloads biblio-autoloads
biblio-core-autoloads parsebib-autoloads htmlize-autoloads org-id
scimax-inkscape org-pdfview org-pdfview-autoloads org-capture
org-checklist org-habit org-agenda org-refile org-edna
org-edna-autoloads org-inlinetask notmuch-calendar-x helm-notmuch
helm-notmuch-autoloads notmuch notmuch-hello notmuch-tree notmuch-show
notmuch-print notmuch-crypto notmuch-mua notmuch-message notmuch-draft
notmuch-maildir-fcc notmuch-address notmuch-company notmuch-parser
notmuch-wash coolj notmuch-query goto-addr icalendar diary-lib
diary-loaddefs notmuch-tag notmuch-lib notmuch-compat mm-view mml-smime
smime dig notmuch-autoloads elfeed-score elfeed-org elfeed-org-autoloads
org-autoloads quick-peek quick-peek-autoloads elfeed-show elfeed-search
shr svg dom elfeed-csv elfeed elfeed-curl elfeed-log elfeed-db
elfeed-lib avl-tree url-queue xml-query elfeed-score-autoloads
elfeed-autoloads mingus libmpdee mingus-autoloads libmpdee-autoloads
term ehelp shell-pop-autoloads eterm-256color-autoloads
xterm-color-autoloads pdf-view-restore pdf-view-restore-autoloads
pdf-sync pdf-outline pdf-links pdf-history pdf-occur ibuf-ext ibuffer
ibuffer-loaddefs pdf-isearch pdf-tools pdf-annot tablist tablist-filter
semantic/wisent/comp semantic/wisent semantic/wisent/wisent
semantic/util-modes semantic/util semantic semantic/tag semantic/lex
semantic/fw mode-local cedet pdf-misc pdf-view magit-bookmark bookmark
pp jka-compr pdf-cache pdf-info tq pdf-util pdf-tools-autoloads
tablist-autoloads wolfram-mode smie wolfram-mode-autoloads
ledger-mode-autoloads latex latex-flymake flymake-proc flymake compile
tex-ispell tex-style tex dbus xml auctex-autoloads tex-site lua-mode
lua-mode-autoloads gnuplot-autoloads el-patch el-patch-autoloads eros
rsw-elisp warnings eros-autoloads ht ht-autoloads nameless lisp-mnt
nameless-autoloads paredit paredit-autoloads bug-hunter
bug-hunter-autoloads elisp-demos elisp-demos-autoloads helpful info-look
f dash-functional elisp-refs loop helpful-autoloads elisp-refs-autoloads
loop-autoloads dash-functional-autoloads tldr request tldr-autoloads
request-autoloads helm-descbinds helm-descbinds-autoloads which-key
which-key-autoloads lorem-ipsum lorem-ipsum-autoloads debug undo-tree
undo-tree-autoloads yasnippet-autoloads move-text-autoloads
aggressive-indent aggressive-indent-autoloads visual-regexp-autoloads
org ob ob-tangle ob-ref ob-lob ob-table ob-exp org-macro org-footnote
org-src ob-comint org-pcomplete org-list org-faces org-entities
ob-emacs-lisp ob-core ob-eval org-table ol org-keys org-compat org-macs
org-loaddefs cal-menu calendar cal-loaddefs disk-usage
disk-usage-autoloads dired-hide-dotfiles-autoloads
dired-filter-autoloads f-autoloads diredfl diredfl-autoloads
all-the-icons-dired-autoloads dired-async dired-open-autoloads
dired-hacks-utils dired-hacks-utils-autoloads dired+ image-dired
image-mode exif image-file help-fns+ help-fns radix-tree dired-x
dired-aux dired+-autoloads winner windower emacs-windower-autoloads
recentf tree-widget helm-command helm-elisp helm-eval edebug backtrace
helm-info helm-mode helm-files helm-buffers helm-occur helm-tags
helm-locate helm-grep helm-regexp helm-utils helm-help helm-types
helm-config helm-easymenu helm helm-source helm-multi-match helm-lib
goto-line-preview goto-line-preview-autoloads avy-autoloads eval-sexp-fu
eval-sexp-fu-autoloads volatile-highlights volatile-highlights-autoloads
easy-escape-autoloads highlight-numbers-autoloads parent-mode-autoloads
rainbow-delimiters-autoloads highlight-parentheses
highlight-parentheses-autoloads flycheck-autoloads pkg-info-autoloads
epl-autoloads flyspell ispell hi-lock forge-list forge-commands
forge-semi forge-bitbucket buck forge-gogs gogs forge-gitea gtea
forge-gitlab glab forge-github ghub-graphql treepy gsexp ghub let-alist
gnutls forge-notify forge-revnote forge-pullreq forge-issue forge-topic
parse-time iso8601 bug-reference forge-post markdown-mode noutline
outline forge-repo forge forge-core forge-db closql emacsql-sqlite
emacsql emacsql-compiler url-http url-auth url-gw nsm url url-proxy
url-privacy url-expand url-methods url-history url-cookie url-domsuf
url-util mailcap forge-autoloads closql-autoloads
emacsql-sqlite-autoloads emacsql-autoloads magithub-autoloads
markdown-mode-autoloads ghub+-autoloads apiwrap-autoloads ghub-autoloads
treepy-autoloads let-alist-autoloads magit-submodule magit-obsolete
magit-blame magit-stash magit-reflog magit-bisect magit-push magit-pull
magit-fetch magit-clone magit-remote magit-commit magit-sequence
magit-notes magit-worktree magit-tag magit-merge magit-branch
magit-reset magit-files magit-refs magit-status magit package browse-url
url-handlers url-parse auth-source json map url-vars magit-repos
magit-apply magit-wip magit-log which-func imenu magit-diff smerge-mode
diff diff-mode magit-core magit-autorevert magit-margin magit-transient
magit-process magit-mode git-commit magit-git magit-section magit-utils
crm log-edit message rmc puny dired dired-loaddefs rfc822 mailabbrev
gmm-utils mailheader pcvs-util add-log with-editor async-bytecomp async
shell pcomplete comint ansi-color transient format-spec magit-autoloads
git-commit-autoloads with-editor-autoloads transient-autoloads
autorevert filenotify disp-table company-oddmuse company-keywords
company-etags etags fileloop generator xref project company-gtags
company-dabbrev-code company-dabbrev company-files company-capf
company-cmake company-xcode company-clang company-semantic company-eclim
company-template company-bbdb company persistent-scratch
persistent-scratch-autoloads savehist backup-walker-autoloads
company-autoloads helm-autoloads helm-core-autoloads pyim-basedict pyim
pyim-probe xr pyim-common pyim-pymap popup pyim-autoloads
pyim-basedict-autoloads xr-autoloads async-autoloads popup-autoloads
avoid reverse-im quail reverse-im-autoloads boon-qwerty boon-powerline
centered-window centered-window-mode face-remap boon boon-moves
find-func er-basic-expansions expand-region-core expand-region-custom
boon-search boon-keys boon-main boon-arguments multiple-cursors
mc-hide-unmatched-lines-mode mc-separate-operations
rectangular-region-mode mc-mark-pop mc-mark-more thingatpt
mc-cycle-cursors mc-edit-lines multiple-cursors-core rect boon-regs
boon-utils boon-core boon-autoloads multiple-cursors-autoloads
expand-region-autoloads meta-functions hl-line footnote mml mml-sec
password-cache epa derived epg epg-config gnus-util rmail rmail-loaddefs
mail-utils text-property-search time-date mm-decode mm-bodies mm-encode
mail-parse rfc2231 rfc2047 rfc2045 ietf-drums mm-util mail-prsvr
spaceline-all-the-icons spaceline-all-the-icons-separators
spaceline-all-the-icons-segments all-the-icons all-the-icons-faces
data-material data-weathericons data-octicons data-fileicons
data-faicons data-alltheicons memoize spaceline-all-the-icons-autoloads
all-the-icons-autoloads memoize-autoloads spaceline-config
spaceline-segments s spaceline dash spaceline-autoloads s-autoloads
dash-autoloads smart-mode-line rich-minority smart-mode-line-autoloads
rich-minority-autoloads powerline advice powerline-separators color
powerline-themes powerline-autoloads latex-pretty-symbols
latex-pretty-symbols-autoloads pretty-symbols-autoloads page-break-lines
page-break-lines-autoloads font-utils unicode-fonts persistent-soft
list-utils pcache eieio-compat eieio-base eieio eieio-core
eieio-loaddefs unicode-fonts-autoloads ucs-utils-autoloads
font-utils-autoloads persistent-soft-autoloads list-utils-autoloads cl
pcache-autoloads centered-window-mode-autoloads shackle trace cus-edit
cus-start cus-load wid-edit shackle-autoloads use-package-diminish
flatui-theme flatui-theme-autoloads gcmh-autoloads pcase asoc
asoc.el-autoloads edmacro kmacro hydra ring lv hydra-autoloads
lv-autoloads finder-inf use-package-bind-key org-plus-contrib-autoloads
org-version bind-key easy-mmode diminish diminish-autoloads
use-package-core use-package-autoloads bind-key-autoloads
straight-autoloads info straight comp rx cl-seq cl-extra help-mode
easymenu seq byte-opt subr-x cl-macs gv cl-loaddefs cl-lib bytecomp
byte-compile cconv server tooltip eldoc electric uniquify ediff-hook
vc-hooks lisp-float-type mwheel term/x-win x-win term/common-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode elisp-mode lisp-mode prog-mode register page
tab-bar menu-bar rfn-eshadow isearch timer select scroll-bar mouse
jit-lock font-lock syntax facemenu font-core term/tty-colors frame
minibuffer cl-generic cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
composite charscript charprop case-table epa-hook jka-cmpr-hook help
simple abbrev obarray cl-preloaded nadvice loaddefs button faces
cus-face macroexp files text-properties overlay sha1 md5 base64 format
env code-pages mule custom widget hashtable-print-readable backquote
threads dbusbind inotify lcms2 dynamic-setting system-font-setting
font-render-setting cairo move-toolbar gtk x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 1654234 2114834)
 (symbols 48 76184 918)
 (strings 32 308144 223444)
 (string-bytes 1 14335673)
 (vectors 16 164944)
 (vector-slots 8 2885629 1597084)
 (floats 8 6574 4670)
 (intervals 56 67210 17503)
 (buffers 992 58))

-- 
Ihor Radchenko,
PhD,
Center for Advancing Materials Performance from the Nanoscale (CAMP-nano)
State Key Laboratory for Mechanical Behavior of Materials, Xi'an Jiaotong University, Xi'an, China
Email: yantar92@HIDDEN, ihor_radchenko@HIDDEN





Acknowledgement sent to Ihor Radchenko <yantar92@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#40838; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 23 May 2020 14:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.